@extends('layouts.app')

@section('title')
    Add Charts Of Account
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{ route('importdata.chartofaccount') }}">Import Legacy Data </a></li>
        <li class="active">Add Charts Of Accounts</li>
    </ol>
@stop
@section('content')

    <div class="container-fluid">
        <!--.row-->
        <div class="row">

            <div class="col-md-12">
                <div class="white-box">
                    <h3 class="box-title m-b-0">Add New Charts Of Accounts</h3>

                    <a href="{{ route('importdata.chartaccount-format') }}" class="btn  btn-primary">
                        <i class="fa fa-download"></i>&nbsp; Download Charts Of Account File Format
                    </a>


                    <hr>
                    <form class="form-horizontal" action="{{ route('importdata.store.chartsofaccount') }}" method="post"
                        enctype="multipart/form-data">
                        {{ csrf_field() }}
                        
                       
                        <div class="form-group">
                            <label for="excelmapfile" class="col-sm-2 control-label">Charts Of Account File<span
                                    style="color: red">*</span></label>
                            <div class="col-sm-10">
                                <div class="input-group" style="width:340px">

                                    <input type="file" class="form-control" name="file_type" required>
                                    @if ($errors->has('file_type'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('file_type') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div>
                        </div>
                      



                        <div class="form-group m-b-0">
                            <div class="col-sm-offset-3 col-sm-9">
                                <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                    style="width: 100px;">Import</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!--./row-->
    </div>
    <!-- /.container-fluid -->

@stop
