@extends( 'layouts.app')

@section('title')
 Size Detail 
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>
        @permission('view-unit-size')
        <li ><a href="{{route('unit.size.all')}}"> Sizes </a></li>
        @endpermission
        <li class="active"> Size Detail</li>
      </ol>
@stop
@section('content')


@php
$society = false;
$high_rise = false;
@endphp
@can('isSuperAdmin')
@php

 if(isset($ids[0])){
    if($ids[0] != 'all'){
        $result=   \App\MultiProject::whereIn('id',$ids)->where('project_type_id',\App\ProjectType::society)->first();
   
        if(!empty( $result))
        {
            $society = true;
           $high_rise = true; 
        }
        else {
            $society = false;
           $high_rise = true; 
        }
    }
    else {
      $r=  \App\MultiProject::where('project_type_id',\App\ProjectType::society)->first();
      if(!empty( $r))
        {
            $society = true;
           $high_rise = true; 
        }
        else {
            $society = false;
           $high_rise = true; 
        }
    }
 }

   
  
@endphp
@elsecannot('isSuperAdmin')
@php
if($cookie_project_type == \App\ProjectType::society)
    {
        $society=true;
        $high_rise = false;
    }
    if($cookie_project_type == \App\ProjectType::high_rise ){
        $high_rise = true;
        $society=false;
    }
   
@endphp 
@endcan
            <div class="container-fluid">

                <!-- /row -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="white-box">
                            <h3 class="box-title"> Size Information</h3><hr>
                                    <div class="table-responsive">
                                        <table class="table">
                                            <tbody>
                                                <tr style="background: #F4F4F4; height: 50px;">
                                                    <td width="110px">Name</td>
                                                   
                                            <td>{{$size->name}}
                                                
                                                @if( $high_rise== true  && $society=true)
                                                {{ \App\ProjectType::society_size}}/ {{ \App\ProjectType::high_rise_size}}
                                              
                                              @elseif($high_rise== true  && $society=false)
                                                {{ \App\ProjectType::high_rise_size}}
                                              
                                              @elseif($high_rise== false  && $society=true)
                                              {{ \App\ProjectType::society_size}} 
                                                @endif
                                            
                                            </td>
                                            
                                                </tr>
                                                <tr style="background: #F4F4F4; height: 50px;">
                                                    <td>Status</td>
                                                    @if($size->status == true)
                                                    <td>Active </td>
                                                    @else
                                                    <td> InActive </td>
                                                    @endif
                                                </tr>

                                                <tr style="background: #F4F4F4; height: 50px;">
                                                    <td>Updated at</td>
                                                    <td> {{$size->updated_at}}</td>
                                                </tr>
                                                <tr style="background: #F4F4F4; height: 50px;">
                                                    <td>Created at</td>
                                                    <td> {{$size->created_at}}</td>
                                                </tr>

                                            </tbody>
                                        </table>
                                    </div>

                        </div>
                    </div>
                </div>
                <!-- /.row -->
              </div>
            <!-- /.container-fluid -->

@stop