@extends('layouts.app')

@section('title')
Nominee Detail 
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>
        @permission('list-customer')
        <li><a href="{{ route('nominee.all') }}">All Nominee</a></li>
    @endpermission
        <li class="active">Nominee Detail</li>
      </ol>
@stop
@section('content')


            <div class="container-fluid">

                <!-- /row -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="white-box">
                            <h3 class="box-title">Nominee Information</h3>
                            <hr>
                                    <div class="table-responsive">
                                        <table class="table ">
                                            <tbody>
                                                <tr>
                                                    <td width="360"><b>Customer Name</b></td>
                                                    <td> <span  > {{$nominee->customer->name}} -- {{$nominee->customer->cnic}}</span>

                                                        
                                                        
                                                        
                                                   
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td><b>Nominee Name </b></td>
                                                    <td><span  >{{$nominee->nominee_name }}</span></td>
                                                </tr>
                                                <tr>

                                                    <td><b>Nominee CNIC </b></td>  

                                                    <td><span  >{{$nominee->nominee_cnic}}
                                                        
                                                    </span></td>
                                                </tr>
                                                <tr>
                                                    <td><b> @if ($nominee->so_do_wo_flag == 1)
                                                        S/O  @elseif($nominee->so_do_wo_flag == 2)
                                                        D/O
                                                        @elseif($nominee->so_do_wo_flag == 3)
                                                        W/O
                                                        @endif
                                                    
                                                      
                                                    </b></td>
                                                    <td>
                                                        {{ $nominee->nominee_so_do_wo}}
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td><b>Passport No</b></td>
                                                    <td> {{$nominee->nominee_passport_no}}</td>
                                                </tr>


                                                <tr>
                                                    <td><b>Email</b></td>
                                                    <td>{{$nominee->nominee_email}}</td>
                                                </tr>
                                                <tr>
                                                    <td><b>Mobile Number </b></td>

                                                    <td>{{ $nominee->nominee_mobile_number}}
                                              
                                            </td>
                                                    </tr>

                                                <tr>
                                                    <td><b>Residence Number </b></td>
                                                    <td> {{ $nominee->nominee_res_number}}</td>
                                                </tr>
                                              
                                                <tr>
                                                    <td><b>Relation with Applicant</b></td>
                                                    <td>{{$nominee->nominee_relation}} </td>
                                                </tr>
                                                <tr>
                                                    <td><b>Nominee Address</b></td>
                                                    <td> {{$nominee->nominee_address}}</td>
                                                </tr>

 
                                                

                                              
                                               
                                               

                                            </tbody>
                                        </table>
                                    </div>

                        </div>
                    </div>
                </div>

                <!-- /.row -->
              </div>
            <!-- /.container-fluid -->

@stop