


<?php $__env->startSection('title'); ?>
STMP Setting
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
       
        <li class="active">SMTP Setting List</li>
        
    </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!-- .container-fluid -->
        <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right" style="margin-top: 10px;">
                       
                            <a href="<?php echo e(route('stmp.add')); ?>" class="btn  btn-primary">
                                <i class="fa fa-plus-square"></i>&nbsp; Add Setting
                            </a>
                        

                    </div>
                    <h3 class="box-title">STMP Setting List</h3>

                    <div class="table-responsive">
                        <table id="myTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Setting Name</th> 
                                    <th>STMP Host</th>
                                    <th>STMP User Name</th>
                                    <th>STMP Password</th>
                                    <th>From User Name</th>
                                    <th>From Email</th>
                                    <th>Status</th>
                                     
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count = 1; ?>
                                <?php $__currentLoopData = $smtps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $smtp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><?php echo e($smtp->name); ?></td>
                                    <td><?php echo e($smtp->smtp_host); ?></td>
                                    <td><?php echo e($smtp->smtp_username); ?></td>
                                    <td><?php echo e($smtp->smtp_password); ?></td>
                                    <td><?php echo e($smtp->from_name); ?></td>
                                    <td><?php echo e($smtp->from_email); ?></td>
                                    <td>
                                        
                                        <?php if( $smtp->status == 1): ?>
                                        <span class="label label-success">Active</span>
                                        <?php elseif( $smtp->status == 0): ?>
                                        <span class="label label-danger">InActive</span>
                                        <?php endif; ?>
                                    </td>
                                    <td class="text-nowrap">
                                        
                                            <a href="<?php echo e(route('stmp.testSmtpSetting',$smtp->id)); ?>"
                                                data-toggle="tooltip" data-original-title="Test Setting"> <i
                                                    class="fa fa-angellist text-inverse m-r-10"></i>&nbsp;&nbsp;</a>

                                                    <a href="<?php echo e(route('stmp.edit',$smtp->id)); ?>"
                                                        data-toggle="tooltip" data-original-title="Edit"> <i
                                                            class="fa fa-pencil text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                    </td> 
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                              

                             
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- ./container-fluid -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

    <script src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/jquery.inputmask.bundle.js"></script>

    <script></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/stmp-setting/index.blade.php ENDPATH**/ ?>