

<?php $__env->startSection('title'); ?>
Statement of Financial Position
<?php $__env->stopSection(); ?>
<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right no-print">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Balance Sheet</li>
      </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
<link href="<?php echo e(asset('plugins/components/bootstrap-daterangepicker/daterangepicker.css')); ?>" rel="stylesheet">

<style type="text/css">
    .btm-margin{
        border-bottom: 1px solid white;
    }
    .bg-grey {
        background-color: #d9d9d9;
    }
    .bg-grey-light {
        background-color: #f6f6f6;
    }
    .bg-green {
        background-color: #ecf5eb;
    }
    
    .br-btm {
           border-bottom: 1px solid #e6e3e3;
    }
    .br-right {
         border-right: 1px solid #e6e3e3;
    }
    .txt-c {
        text-align: center;
    }

    @media  print {
        .btm-margin{
        border-bottom: 3px solid white;
    }
    table.dataTable thead td, table.dataTable thead th {
    border-bottom: none;
    }
    .bg-grey {
        background-color: #b9b9b9;
    }
    .bg-green {
        background-color: #ecf5eb;
    }
    
    .br-btm {
           border-bottom: 1px solid #e6e3e3;
    }
    .br-right {
         border-right: 1px solid #e6e3e3;
    }
    .txt-c {
        text-align: center;
    }
    .white-box{
        border: none!important;
        padding: 0 3px 0 0px;
    }
     .dataTables_info{
        display: none;
    }
    .dataTables_filter{
        display: none;
    }
    div.dt-buttons{
        display: none;
    }

        .panel .panel-body{
        font-size: 12px !important;
        font-family: "time-new-roman",Arial,sans-serif;
        color: black !important
        }
      .box-title {
         background-color: none !important;
      }
      table.dataTable tbody td, table.dataTable tbody th {
    padding: 2px 4px;
    font-size: 12px;
    }
    table.dataTable{
        border:none;
    }
     h3 strong{
        text-transform: uppercase;
        color: black !important
    }
    h4 strong{
        text-transform: uppercase;
        color: black !important
    }
    h3{
        margin-bottom: -10px;
    }
    table.dataTable.no-footer {
    border-bottom: none !important;
    }
    .table>tbody>tr>td, .table>tbody>tr>th {
    font-size: 12px;
    }
    a{
        color: black !important
    }
    .page-wrapper {
    padding-top: 0px;
    }
    }
</style>

<!-- <link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet"> -->
<link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css"  rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="container-fluid">

    <div class="white-box  printableArea" >
        <div class="text-center">
        <h3><strong><?php $__currentLoopData = $project_names; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $project_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php echo e($project_name); ?>

            <?php if($key < count($project_names) - 1): ?>
                , 
            <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?></strong></h5>
        <h4><strong>Statement of Financial Position</strong></h4>
        <h6>As of <?php echo e(date('d/m/Y', strtotime($date))); ?></h6>
        </div>
        <div class="row">
        

        <div class="col-md-12 pro-cart">
            <table id="example1" width="100%" cellpadding="3" cellspacing="3" >
                     <thead>
                        <th></th>
                        <th width="100"></th>
                     </thead>
                     <tbody>
                     <tr class="bg-grey">
                            <th class="pd-5"><b>ASSETS</b></th> 
                            <th></th>
                         </tr>
                         <tr class="bg-grey-light ">
                            <th class="pd-5"><b>CURRENT ASSETS</b></th> 
                            <th></th>
                         </tr>
                         <?php $asset = 0;$total = 0;?>

                         <?php $__currentLoopData = $currentAsset; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php if($acc['sum'] != 0): ?>

                         <tr >
                            <td class="pd-5"><?php echo e($acc['account']->name); ?></td> 
                            <td style="text-align:right;padding-right: 20px;"><a target="_blank" href="<?php echo e(route('report.trial-balance-detail',['id'=>$acc['account']->id])); ?>">
                                <?php if($acc['sum'] < 0): ?>
                                (<?php echo e(number_format(abs($acc['sum']))); ?>)
                                <?php else: ?>
                                <?php echo e($acc['sum'] > 0? number_format($acc['sum']) : '-'); ?>

                                <?php endif; ?>

                            </a></td>
                            <?php $total += $acc['sum'];?>
                         </tr>

                         <?php endif; ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                         

                         <?php $__currentLoopData = $bank; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php if($acc['sum'] != 0): ?>

                         <tr >
                            <td class="pd-5"  ><?php echo e($acc['account']->name); ?></td> 
                            <td style="text-align:right;padding-right: 20px;"><a target="_blank" href="<?php echo e(route('report.trial-balance-detail',['id'=>$acc['account']->id])); ?>"><?php if($acc['sum'] < 0): ?>
                                (<?php echo e(number_format(abs($acc['sum']))); ?>)
                                <?php else: ?>
                                <?php echo e($acc['sum'] > 0? number_format($acc['sum']) : '-'); ?>

                                <?php endif; ?></a></td>
                            <?php $total += $acc['sum'];?>
                         </tr>
                         <?php endif; ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                         

                         <?php $__currentLoopData = $accountReceivable; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php if($acc['sum'] != 0): ?>

                         <tr >
                            <td class="pd-5"><?php echo e($acc['account']->name); ?></td> 
                            <td style="text-align:right;padding-right: 20px;"><a target="_blank" href="<?php echo e(route('report.trial-balance-detail',['id'=>$acc['account']->id])); ?>"><?php if($acc['sum'] < 0): ?>
                                (<?php echo e(number_format(abs($acc['sum']))); ?>)
                                <?php else: ?>
                                <?php echo e($acc['sum'] > 0? number_format($acc['sum']) : '-'); ?>

                                <?php endif; ?></a></td>
                            <?php $total += $acc['sum'];?>
                         </tr>
                         <?php endif; ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                         

                         <?php $__currentLoopData = $otherCurrentAsset; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php if($acc['sum'] != 0): ?>

                         <tr >
                            <td class="pd-5"  ><?php echo e($acc['account']->name); ?></td> 
                            <td style="text-align:right;padding-right: 20px;"><a target="_blank" href="<?php echo e(route('report.trial-balance-detail',['id'=>$acc['account']->id])); ?>"><?php if($acc['sum'] < 0): ?>
                                (<?php echo e(number_format(abs($acc['sum']))); ?>)
                                <?php else: ?>
                                <?php echo e($acc['sum'] > 0? number_format($acc['sum']) : '-'); ?>

                                <?php endif; ?></a></td>
                            <?php $total += $acc['sum'];?>
                         </tr>
                         <?php endif; ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                         
                         <?php $asset += $total;$total = 0;?>

                         <tr class="bg-green btm-margin">
                            <td class="pd-5"  ></td> 
                            <td style="border-top:1px solid;text-align:right;padding-right: 20px;"><b><?php if($asset < 0): ?>
                                (<?php echo e(number_format(abs($asset))); ?>)
                                <?php else: ?>
                                <?php echo e($asset > 0? number_format($asset) : '-'); ?>

                                <?php endif; ?></b></td>
                            
                         </tr>

                         <tr class="bg-grey-light btm-margin">
                            <th class="pd-5"  ><b>NON CURRENT ASSETS</b></th> 
                            <th></th>
                         </tr>

                         <?php $__currentLoopData = $fixedAsset; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php if($acc['sum'] != 0): ?>

                         <tr >
                            <td class="pd-5"  ><?php echo e($acc['account']->name); ?></td> 
                            <td style="text-align:right;padding-right: 20px;"><a target="_blank" href="<?php echo e(route('report.trial-balance-detail',['id'=>$acc['account']->id])); ?>"><?php if($acc['sum'] < 0): ?>
                                (<?php echo e(number_format(abs($acc['sum']))); ?>)
                                <?php else: ?>
                                <?php echo e($acc['sum'] > 0? number_format($acc['sum']) : '-'); ?>

                                <?php endif; ?></a></td>
                            <?php $total += $acc['sum'];?>
                         </tr>
                         <?php endif; ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                         

                         

                         <tr class="bg-green btm-margin">
                            <td class="pd-5"></td> 
                            <td style="border-top:1px solid;text-align:right;padding-right: 20px;"><b><?php if($total < 0): ?>
                                (<?php echo e(number_format(abs($total))); ?>)
                                <?php else: ?>
                                <?php echo e($total > 0? number_format($total) : '-'); ?>

                                <?php endif; ?></b></td>
                            <?php $asset += $total;$total = 0;?>
                         </tr>



                          <tr class="bg-green btm-margin">
                            <td class="pd-5"><b>TOTAL ASSETS</b></td> 
                            <td style="border-top:1px solid;border-bottom: double;text-align:right;padding-right: 20px;"><strong><?php if($asset < 0): ?>
                                (<?php echo e(number_format(abs($asset))); ?>)
                                <?php else: ?>
                                <?php echo e($asset > 0? number_format($asset) : '-'); ?>

                                <?php endif; ?></strong></td>
                            
                         </tr>


                         <tr class="bg-grey btm-margin">
                            <th class="pd-5"><b>EQUITY & LIABILITIES</b></th> 
                            <th></th>
                         </tr>

                         <tr class="bg-grey-light btm-margin">
                            <th class="pd-5"><b>EQUITY</b></th> 
                            <th></th>
                         </tr>

                         <?php $equities = 0;$total = 0;?>

                         <?php $__currentLoopData = $equity; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php if($acc['sum'] != 0): ?>

                         <tr >
                            <td class="pd-5"  ><?php echo e($acc['account']->name); ?></td> 
                            <td style="text-align:right;padding-right: 20px;"><a target="_blank" href="<?php echo e(route('report.trial-balance-detail',['id'=>$acc['account']->id])); ?>">
                                <?php if($acc['sum'] > 0): ?>
                                (<?php echo e(number_format(abs($acc['sum']))); ?>)
                                <?php else: ?>
                                <?php echo e(number_format(abs($acc['sum']))); ?>

                                <?php endif; ?>
                            </a></td>
                            <?php $total += ($acc['sum'] * -1);?>
                         </tr>
                         <?php endif; ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                         <?php $equities +=$total;?>

                         <tr >
                            <td class="pd-5"><b>NET INCOME</b></td> 
                            <?php if($netIncome < 0): ?>
                            <td style="text-align:right;padding-right: 20px;"><b>(<?php echo e(number_format(abs($netIncome))); ?>)</b></td>
                            <?php else: ?>
                            <td style="text-align:right;padding-right: 20px;"><b> 
                                <?php echo e($netIncome > 0? number_format($netIncome) : '-'); ?></b></td>
                            <?php endif; ?>
                        
                         </tr>

                         <?php $equities += $netIncome;?>

                          <tr class="bg-green btm-margin">
                            <td class="pd-5"><b></b></td>

                            <?php if($equities < 0): ?> 
                            <td style="border-top:1px solid;text-align: right; padding-right: 20px;"><b>(<?php echo e(number_format(abs($equities))); ?>)</b></td>
                            <?php else: ?>
                            <td style="border-top:1px solid;text-align:right;padding-right: 20px;"><b> <?php echo e($equities > 0? number_format($equities) : '-'); ?></b></td>
                            <?php endif; ?>
                        
                         </tr>

                         <tr class="bg-grey-light btm-margin">
                            <th class="pd-5"><b>LIABILITIES</b></th> 
                            <th></th>
                         </tr>

                         <tr class="bg-grey-light btm-margin">
                            <th class="pd-5"><b>CURRENT LIABILITIES</b></th> 
                            <th></th>
                         </tr>

                         

                         <?php $liability = 0;$total = 0;?>

                         <?php $__currentLoopData = $accountPayable; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php if($acc['sum'] != 0): ?>

                         <tr >
                            <td class="pd-5"  ><?php echo e($acc['account']->name); ?></td> 
                            <td style="text-align:right;padding-right: 20px;"><a target="_blank" href="<?php echo e(route('report.trial-balance-detail',['id'=>$acc['account']->id])); ?>">
                                <?php if($acc['sum'] > 0): ?>
                                (<?php echo e(number_format(abs($acc['sum']))); ?>)
                                <?php else: ?>
                                <?php echo e(number_format(abs($acc['sum']))); ?>

                                <?php endif; ?>
                            </a></td>
                            <?php $total += ($acc['sum'] * -1);?>
                         </tr>
                         <?php endif; ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



                        

                         <?php $__currentLoopData = $otherCurrentLiability; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php if($acc['sum'] != 0): ?>

                         <tr >
                            <td class="pd-5"  ><?php echo e($acc['account']->name); ?></td> 
                            <td style="text-align:right;padding-right: 20px;"><a target="_blank" href="<?php echo e(route('report.trial-balance-detail',['id'=>$acc['account']->id])); ?>">
                                <?php if($acc['sum'] > 0): ?>
                                (<?php echo e(number_format(abs($acc['sum']))); ?>)
                                <?php else: ?>
                                <?php echo e(number_format(abs($acc['sum']))); ?>

                                <?php endif; ?>
                            </a></td>
                            <?php $total += ($acc['sum'] * -1);?>
                         </tr>
                         <?php endif; ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                         <tr class=" btm-margin">
                            <td class="pd-5"></td> 
                            <td style="border-top:1px solid;text-align:right;padding-right: 20px;"><b><?php if($total < 0): ?>
                                (<?php echo e(number_format(abs($total))); ?>)
                                <?php else: ?>
                                <?php echo e($total > 0? number_format($total) : '-'); ?>

                                <?php endif; ?></b></td>
                            <?php $liability += $total;$total = 0;?>
                         </tr>

                        

                         <tr class="bg-grey-light btm-margin">
                            <th class="pd-5"><b>NON CURRENT LIABILITIES</b></th> 
                            <th></th>
                         </tr>

                         <?php $__currentLoopData = $longTermLiability; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php if($acc['sum'] != 0): ?>

                         <tr >
                            <td class="pd-5"  ><?php echo e($acc['account']->name); ?></td> 
                            <td style="text-align:right;padding-right: 20px;"><a target="_blank" href="<?php echo e(route('report.trial-balance-detail',['id'=>$acc['account']->id])); ?>">
                                <?php if($acc['sum'] > 0): ?>
                                (<?php echo e(number_format(abs($acc['sum']))); ?>)
                                <?php else: ?>
                                <?php echo e(number_format(abs($acc['sum']))); ?>

                                <?php endif; ?>
                            </a></td>
                            <?php $total += ($acc['sum'] * -1);?>
                         </tr>
                         <?php endif; ?>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                         <tr class=" btm-margin">
                            <td class="pd-5"></td> 
                            <td style="border-top:1px solid;text-align:right;padding-right: 20px;"><b><?php if($total < 0): ?>
                                (<?php echo e(number_format(abs($total))); ?>)
                                <?php else: ?>
                                <?php echo e($total > 0? number_format($total) : '-'); ?>

                                <?php endif; ?></b></td>
                            <?php $liability += $total ;$total = 0;?>
                         </tr>


                         <tr class="bg-green btm-margin">
                            <td class="pd-5"></td> 
                            <td style="border-top:1px solid;text-align:right;padding-right: 20px;"><b><?php if($liability < 0): ?>
                                (<?php echo e(number_format(abs($liability))); ?>)
                                <?php else: ?>
                                <?php echo e($liability > 0? number_format($liability) : '-'); ?>

                                <?php endif; ?></b></td>
                        
                         </tr>

                     

                         <tr class="bg-green btm-margin">
                            <td class="pd-5"><b>TOTAL EQUITY & LIABILITIES</b></td> 
                            <td style="border-top:1px solid;border-bottom: double;text-align:right;padding-right: 20px;"><strong><?php echo e(number_format($liability + $equities)); ?></strong></td>
                            
                         </tr>

   

                 </tbody>
            </table>
            
           

        </div>
    </div>
    </div>
    <div class="text-right" style="height:70px">
    <button  class="btn btn-default btn-outline no-print" onclick="window.print();return false;" type="button"> <span><i class="fa fa-print"></i> Print</span> </button>                                    
    </div>
</div>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

<script src="<?php echo e(asset('js/jquery.PrintArea.js')); ?>" type="text/JavaScript"></script>

<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
 <script src="https://cdn.datatables.net/buttons/1.7.0/js/dataTables.buttons.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
 <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.html5.min.js"></script>
  <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.print.min.js"></script>

<script>

   $('#example1').DataTable( {
        sorting:false,
        paging:false,
        ordering:false,
        searching:false,
        dom: 'Bfrtip',
         buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
        
    } );

    
     $("#print").on("click", function() {
            var mode = 'iframe'; //popup
            var close = mode == "popup";
            var options = {
                mode: mode,
                popClose: close
            };
            $("div.printableArea").printArea(options);
        });
    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/report/balance-sheet.blade.php ENDPATH**/ ?>