


<?php $__env->startSection('title'); ?>
Add New User 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <?php if (\Illuminate\Support\Facades\Blade::check('role', 'admin')): ?>
        <li ><a href="<?php echo e(route('account.all')); ?>">All Users</a></li>
        <?php endif; ?>
        <li class="active">Add User</li>
      </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="container-fluid">
                <!--.row-->
                <div class="row">

                    <div class="col-md-12">
                        <div class="white-box">
                            <h3 class="box-title m-b-0" style="font-size: 18px;"><i class="fa fa-user-plus" aria-hidden="true"></i>&nbsp;Add New User</h3>
                            <p class="text-muted m-b-30 font-13" style=" height: 5px;"> Add the information </p>
                            <hr>
                            <form class="form-horizontal" action="<?php echo e(route('account.insert')); ?>" method="post" style="margin-top: 30px; margin-bottom: 30px;">
                               <?php echo e(csrf_field()); ?>

                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Name <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <input  type="text" class="form-control" name="name" value="<?php echo e(old('name')); ?>" id="exampleInputuname" placeholder="Enter Name">
                                        <?php if($errors->has('name')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('name')); ?></strong>
                                    </span>
                                <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Email <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <input  type="text" class="form-control" name="email" value="<?php echo e(old('email')); ?>" id="exampleInputuname" placeholder="Enter Email">
                                        <?php if($errors->has('email')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('email')); ?></strong>
                                    </span>
                                <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Phone Number <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <input  type="text" class="form-control" name="phone_number" value="<?php echo e(old('phone_number')); ?>" placeholder="Enter Phone Number">
                                        <?php if($errors->has('phone_number')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('phone_number')); ?></strong>
                                    </span>
                                <?php endif; ?>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                <label for="password" class="col-sm-2 control-label">Password<span style="color: red">*</span></label>
                                </label>
                                                                    
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">
                                            <span class="btn-show-pass">
                                                <i class="fa fa-eye" id="eye" aria-hidden="true"></i>
                                            </span>
                                            <input type="password" class="form-control" id="password" name="password"
                                                required="" placeholder="Enter Password" value="" autocomplete="new-password">
                                        
                               
                            <?php if($errors->has('password')): ?>
                                    <span class="help-block" >
                                        <strong><?php echo e($errors->first('password')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>
                            </div>

                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Role <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <select class="form-control chosen-select" name="role[]" multiple="">
                                                <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                                <option value="<?php echo e($role->id); ?>">
                                                    <?php $__currentLoopData = $role->projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php echo e($project->name); ?>

                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                      --- <?php echo e($role->name); ?>

                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                            </select>
                                        <?php if($errors->has('role')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('role')); ?></strong>
                                    </span>
                                <?php endif; ?>
                                        </div>
                                    </div>
                                </div>



                                <div class="form-group m-b-0">
                                <!-- col-sm-offset-3 col-sm-9 -->
                                    <div class="col-sm-offset-3 col-sm-2" style="margin-left: 320px;">
                                        <button type="submit" class="btn btn-info waves-effect waves-light m-t-10" style="width: 100%;">Save</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <!--./row-->
            </div>
            <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    <script>

        function emptyfield() {
            $('#password').val('');
        }

        $(function () {
            $("#eye").click(function () {
                $(this).toggleClass("fa-eye fa-eye-slash");
                var type = $(this).hasClass("fa-eye-slash") ? "text" : "password";
                $("#password").attr("type", type);
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/Setting/account/add-account.blade.php ENDPATH**/ ?>