


<?php $__env->startSection('title'); ?>
Price List
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'list-inventory')): ?>
        <li class="active"> All Price List</li>
        <?php endif; ?>
    </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!-- .container-fluid -->
        <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right" style="margin-top: 10px;">
                        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'edit-pricelist')): ?>
                            <a href="<?php echo e(route('pricelist.create')); ?>" class="btn  btn-primary">
                                <i class="fa fa-plus-square"></i>&nbsp; Add New Price List
                            </a>
                        <?php endif; ?>

                    </div>
                    <h3 class="box-title">All Price Lists</h3>

                    <div class="table-responsive">
                        <table id="myTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Price List No.</th>
                                    <th>Project Type</th>
                                     
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count = 1; ?>
                               

                                <?php $__currentLoopData = $allpricelist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($p->l_no); ?></td>
                                        <td><?php echo e($p->projecttype ? $p->projecttype->name  : 'NIL'); ?></td>
                                        
                                    

                                        <td class="text-nowrap">
                                            
                                                <a href="<?php echo e(route('pricelist.view',['id'=>$p->id])); ?>"
                                                    data-toggle="tooltip" data-original-title="View"> <i
                                                        class="fa fa-eye text-inverse m-r-10"></i>&nbsp;&nbsp;</a>


                                            
                                                <a href="<?php echo e(route('pricelist.edit', [$p->id])); ?>" 
                                                data-toggle="tooltip" data-original-title="Edit"> <i
                                                        class="fa fa-pencil text-inverse m-r-10"></i></a>
                                            

                                            
                                                
                                            
                                        </td> 
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- ./container-fluid -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

    <script src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/jquery.inputmask.bundle.js"></script>

    <script></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/pricelist/index.blade.php ENDPATH**/ ?>