 
    <?php
    $society = false;
    $highrise = false;
    $size = '';
    $map = ' ';
    
    if ($projecttype->id == App\ProjectType::society) {
        $society = true;
        $size = \App\ProjectType::society_size;
        $map = \App\ProjectType::society_map;
    }
    
    if ($projecttype->id == App\ProjectType::high_rise) {
        $highrise = true;
        $size = \App\ProjectType::high_rise_size;
        $map = \App\ProjectType::high_rise_map;
    }
     
    ?>
      <input type='hidden' value='<?php echo e($projecttype->id); ?>' id='type'>
    <div class="form-group">
        <h2 style='padding-left:1%'>List No:</h2>
        
        <div class="col-sm-12">
            <div class="input-group" style='width: 38%; margin-left: 90px; margin-top: -45px;'>
                <div class="input-group-addon"><i class="fa fa-circle-o"></i></div>
                <input type="text" class="form-control" name="list_number"
                    value="LN-00<?php echo e(\App\PriceList::getUniqueList()); ?>" id="list_number"
                    placeholder="Enter Price List Number">
                <?php if($errors->has('list_number')): ?>
                    <span class="help-block">
                        <strong><?php echo e($errors->first('list_number')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-info">
                <div class="panel-heading">Add Detail
                </div>
                <?php if($highrise): ?>

                    <div class="form-group" id="highrise_price">
                        <div class=col-md-12 style="overflow-y:auto;height:381px;">
                            <table
                                class="table table-bordered table-responsive-md table-striped text-center">
                                <thead>
                                    <tr>
                                        <th class="text-center">Unit <?php echo e($map); ?></th>
                                        <th class="text-center">Unit Type</th>

                                        <th class="text-center">Per/ <?php echo e($size); ?> Price
                                            (PKR)</th>





                                    </tr>



                                </thead>
                                <tbody id="tbody_data">
                                    <?php for($i =0 ; $i<1; $i++) {?>
                                    <tr height="2px" id="account_tr_<?php echo e($i); ?>"
                                        data-id="<?php echo e($i); ?>">

                                        <td class="pt-3-half account" style="width: 30%"
                                            contenteditable="true">


                                            <select class="form-control chosen-select us_acnt"
                                                style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                                name="unit_floor[]">
                                                <option>None</option>
                                                <?php $__currentLoopData = $h_r_floor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($t->id); ?>">
                                                        <?php echo e($t->name); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </td>

                                        <td class="pt-3-half account" style="width: 30%"
                                            contenteditable="true">
                                            <select class="form-control chosen-select us_acnt"
                                                style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                                name="unit_type[]">
                                                <option>None</option>
                                                <?php $__currentLoopData = $h_r_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($t->id); ?>">
                                                        <?php echo e($t->name); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </td>



                                        <td class="pt-3-half name" style='width: 30%;'>
                                            <input class="form-control size unit_quantity"
                                                data-id="0" id='per_price_0'
                                                onkeyup="perPriceFunction(this)"
                                                onclick="perPriceFunction(this)" type="number"
                                                name='per_price[]'>
                                        </td>


                                        <td class="pt-3-half name">
                                            <button type="button"
                                                class="btn btn-sm btn-success btn-sm addRowBtn"
                                                data-id="<?php echo e($i); ?>"
                                                onclick="addNewRow(this)"><i
                                                    class="fa fa-plus"></i></button>

                                        </td>

                                    </tr>

                                    <tr id="narration_tr_<?php echo e($i); ?>"
                                        class="tr_<?php echo e($i); ?>">

                                    </tr>

                                    <?php } ?>






                                </tbody>
                            </table>
                        </div>
                    </div>

                <?php endif; ?>
                <?php if($society): ?>

                    <div class='society' id='society_data'
                        style="display:<?= old('type') == 1 ? 'none' : '' ?>">

                        <div class=col-md-12 style="overflow-y:auto;height:381px;">
                            <table
                                class="table table-bordered table-responsive-md table-striped text-center">
                                <thead>
                                    <tr>

                                        <th class="text-center">Unit Type</th>
                                        <th class="text-center">Size</th>
                                        <th class="text-center">Per/<?php echo e($size); ?> Price (PKR)
                                        </th>
                                        <th class="text-center">Total Price (PKR)</th>




                                    </tr>

                                </thead>
                                <tbody id="tbody_data">
                                    <?php for($i =0 ; $i<1; $i++) {?>
                                    <tr height="2px" id="account_tr_<?php echo e($i); ?>"
                                        data-id="<?php echo e($i); ?>">

                                        <td class="pt-3-half account" style="width: 40%"
                                            contenteditable="true">


                                            <select class="form-control chosen-select us_acnt"
                                                style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                                name="unit_type[]">
                                                <option>None</option>
                                                <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($t->id); ?>">
                                                        <?php echo e($t->name); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </td>

                                        <td class="pt-3-half name" contenteditable="true">
                                            <select class="form-control chosen-select"
                                                style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                                name="unit_size[]" id='unit_size_0'
                                                onchange="unitChangeFunction(this)"
                                                data-id='0'>
                                                <option>None</option>
                                                <?php $__currentLoopData = $sizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $s): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option style="font-size: 11px;"
                                                        value="<?php echo e($s->id); ?>"
                                                        data-value=<?php echo e($s->name); ?>>
                                                        <?php echo e($s->name); ?> <?php echo e($size); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                            </select>
                                        </td>



                                        <td class="pt-3-half name" style='width: 20%;'>
                                            <input class="form-control size unit_quantity"
                                                data-id="0" id='per_price_0'
                                                onkeyup="perPriceFunction(this)"
                                                onclick="perPriceFunction(this)" type="number"
                                                name='per_price[]'>
                                        </td>
                                        <td class="pt-3-half name" style='width: 20%;'>
                                            <input class="form-control size unit_quantity"
                                                data-id="0" id='total_price_0'
                                                onkeyup="totalPriceFunction(this)"
                                                onclick="totalPriceFunction(this)" type="number"
                                                name='total_price[]'>
                                        </td>

                                        <td class="pt-3-half name">
                                            <button type="button"
                                                class="btn btn-sm btn-success btn-sm addRowBtn"
                                                data-id="<?php echo e($i); ?>"
                                                onclick="addNewRow(this)"><i
                                                    class="fa fa-plus"></i></button>

                                        </td>

                                    </tr>

                                    <tr id="narration_tr_<?php echo e($i); ?>"
                                        class="tr_<?php echo e($i); ?>">

                                    </tr>

                                    <?php } ?>






                                </tbody>
                            </table>
                        </div>


                    </div>

                <?php endif; ?>



            </div>








            <div class="form-group">
                <div class="col-sm-4">&nbsp;</div>
                <div class=" col-sm-4">
                    <button type="submit" class="btn btn-info waves-effect waves-light "
                        style="width: 100%">Save</button>
                </div>
            </div>

        </div>
    </div>
 <?php /**PATH C:\xampp\htdocs\abudhabi\resources\views/pricelist/create_update.blade.php ENDPATH**/ ?>