

<?php $__env->startSection('title'); ?>
All Sold Assets
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li>
            <a href="<?php echo e(route('home')); ?>">
            <i class="fa fa-dashboard"></i> 
            Home
        </a>
        </li>

        <li class="active">
           Sold Assets
        </li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
 <link href="<?php echo e(asset('css/procurement_css.css')); ?>" rel="stylesheet">
 <style type="text/css">
     .reassign_form
     {
        display: none;
     }
 </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
  <div class="container-fluid">
  <div class="row">
                    
    <div class="col-sm-12">
    <div class="white-box">

    <h3 style="text-align: right;" class="box-title m-b-0">
        <span style="float: left;">Sold Assets List</span>
        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'fixed-assets')): ?>
        <a class="btn btn-info btn-sm" href="<?php echo e(route('fixed.assets.add.sale')); ?>">Sale</a>
        <?php endif; ?>
      
    </h3>

    <div class="table-responsive">

    <?php if(Session::has('success')): ?>   
        <div id="successMessage" class="alert alert-success" role="alert">
            <?php echo e(Session::get('success')); ?>

        </div>
    <?php endif; ?>

    <table id="myTable" class="table table-striped table-bordered dataTable color-table primary-table" role="grid" aria-describedby="myTable_info">
    <thead>
    <tr role="row">

    <th class="sorting_asc" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Name: activate to sort column descending" style="width: 20px;">Asset Tag</th>

    <th  class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 100px;">Maintainance Cost</th>

    <th  class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 100px;">Writen Down Value</th>

    <th  class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 100px;">Sold Date</th>

    <th  class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 10px;">Action</th>

    </tr>
    </thead>
    <tbody>

    <?php $__currentLoopData = $fixed_asset_solds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
   
    <tr class="active">
        <td ><?php echo e($list->asset->asset_tag); ?></td>
        <td ><?php echo e($list->maintainance_cost); ?> </td>
        <td ><?php echo e($list->writen_down_value); ?></td>
        <td ><?php echo e(date('d-F-Y' , strtotime($list->sold_date))); ?></td>
        <td>
           
            <a href="<?php echo e(route('fixed.asset.sale.revert' , [$list->id])); ?>" title="revert" onclick="return validate()">
                <i class="fa fa-refresh" aria-hidden="true"></i>
            </a>
           
        </td>
    </tr>

    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>   


    </tbody>
    </table>

    </div>
    </div>
    </div>
    </div>


    </div>

    </div>
    </div>

 
<?php $__env->stopSection(); ?>



<?php $__env->startSection('js'); ?>  

<script type="text/javascript">
   

   function validate() 
   {
       if (confirm('Are you sure?')) 
       {
        return true;
       }

       return false;    
   }
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/procurement/items/fixed-items/for-sale/index.blade.php ENDPATH**/ ?>