

<?php $__env->startSection('title'); ?>
All Manufactures
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
<li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

<li class="active">Item manufacture List</li>
</ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
  <div class="container-fluid">
    <div class="row">
                    
<div class="col-sm-12">
                        <div class="white-box">

                            <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-item-manufacture')): ?>
                           
                             <h3 style="text-align: right;" class="box-title m-b-0">
                                <span style="float: left;">Manufactures  List</span><a class="btn btn-info btn-sm" href="<?php echo e(route('create.manufacture')); ?>">Add New Manufacture</a></h3>

                             <?php endif; ?>

                            <div class="table-responsive">
                             
                            <?php if(Session::has('success')): ?>   
                            <div id="successMessage" class="alert alert-success" role="alert">
                            <?php echo e(Session::get('success')); ?>

                            </div>
                            <?php endif; ?>

                                <table id="myTable" class="table table-striped table-bordered dataTable color-table primary-table" role="grid" aria-describedby="myTable_info">
                                    <thead>
                                        <tr role="row">
                                        	<th style="color: black;" class="sorting_asc" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Name: activate to sort column descending" style="width: 220px;">Name</th>
                                          
                                        	<th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 163px;">Created Date</th>

                                            <th style="color: black;" class="sorting" tabindex="0" aria-controls="myTable" rowspan="1" colspan="1" aria-label="Office: activate to sort column ascending" style="width: 163px;">Action</th>


                                        </tr>
                                    </thead>
                                    <tbody>
  
                                    <?php if( $manufacture_list->count() > 0 ): ?>
                                    <?php $__currentLoopData = $manufacture_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <tr role="row" class="odd">
                                            <td><?php echo e($list->name); ?></td>
                                          
                                            <td><?php echo e(date('d-F-Y' , strtotime($list->created_at))); ?></td>
                                             <td>

                                                
                                                <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'delete-item-manufacture')): ?>
                                                <form action="<?php echo e(route('delete.manufacture',[$list->id] )); ?>" method="post" style='display: inline;'>
                                                    <?php echo method_field('DELETE'); ?>
                                                    <?php echo csrf_field(); ?>                                       
                                                    <button class="btn btn-link btn-s" style="color:red;"  type="submit" name="action" value="delete" data-toggle="confirmation" data-title="Are you sure to delete?">
                                                        <i class="fa fa-trash-o" aria-hidden="true"></i>
                                                    </button>                                                  
                                                 </form>
                                                
                                                <?php endif; ?>

                                                <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'edit-item-manufacture')): ?>
                                                <a  href="<?php echo e(route('edit.manufacture',[$list->id] )); ?>">
                                                    <button class="btn btn-link btn-s">
                                                        <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                                                    </button>
                                                    </a>
                                                 

                                                 <?php endif; ?>

                                            </td>

                                        </tr>
                                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>   
                                     <?php endif; ?>

                                      
                                    </tbody>
                                </table>
                                
                            </div>
                            </div>
                        </div>
                    </div>


    </div>

      </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>  

<script type="text/javascript">
    function validate()
    { 
        if(!confirm('Are you sure you want to delete?'))
        {
            return false;
        } 
    }
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/procurement/item-manufactures/index.blade.php ENDPATH**/ ?>