<?php

namespace App\Http\Middleware;

use Closure;
use App\MultiProject;

class CheckProjectExistence
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        
        $project_type= MultiProject::where('name','NOT LIKE','Super Admin')->first();
        if (auth()->user()->hasRole('admin')) {

        
            if (!empty($project_type)) {
                return $next($request);
            } else {

               return redirect()->route('multi.create');
            }
          
          
        } else {
            if (!empty($project_type)) {
                return $next($request);
            } else {

               return redirect()->route('project.configure.not');
            }
        }
      
    }
}
