<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class EitherNomineeIdOrOtherFieldsRequired implements Rule
{
    public function passes($attribute, $value)
    {
        $hasOtherFields = request()->filled([
            // 'nominee_name',
            // 'nominee_so_do_wo',
            // 'nominee_address',
            // 'nominee_relation',
            "nominee_name_n",
            "nominee_so_do_wo_n" ,
            "nominee_cnic_n",
            "nominee_address",
            "nominee_passport_no_n",
            "nominee_relation_n",
            "nominee_email_n",
            "nominee_mobile_number_n" ,
            "nominee_res_number_n",
            "nominee_phone_number_n",
        ]);
    

        return ($value !== null) || $hasOtherFields;
    }

    public function message()
    {
        return 'Either nominee ID or other fields (nominee_name, nominee_so_do_wo, nominee_address, nominee_relation) are required.';
    }
}
