@extends('layouts.app')

@section('title')
Add New  Block 
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>
        @permission('view-unit-size')
        <li ><a href="{{route('unit.block.all')}}">   Block </a></li>
        @endpermission
        <li class="active">Add Block </li>
      </ol>
@stop
@section('content')

<div class="container-fluid">
                <!--.row-->
                <div class="row">

                    <div class="col-md-12">
                        <div class="white-box">
                            <h3 class="box-title m-b-0" style="font-size: 18px;"><i class="fa fa-road" aria-hidden="true"></i>&nbsp;Add New  Block </h3>
                            <p class="text-muted m-b-30 font-13" style="height: 5px;"> Add the information </p>
                            <hr>
                            <form class="form-horizontal" action="{{route('unit.block.insert')}}" method="post" style="margin-top: 30px; margin-bottom: 30px;">
                               {{csrf_field()}}
                               
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Name <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <input  type="text" class="form-control" name="name" value="{{old('name')}}" id="exampleInputuname" placeholder="Enter Name">
                                        @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                                        </div>
                                    </div>
                                </div>

                               

                                <div class="form-group m-b-0">
                                    <div class="col-sm-offset-3 col-sm-2">
                                        <button type="submit" class="btn btn-info waves-effect waves-light m-t-10" style="width: 100%;">Save</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <!--./row-->
            </div>
            <!-- /.container-fluid -->

@stop