@extends('layouts.app')

@section('title')
All Balloting Map Files 
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">All Balloting Map Files</li>
      </ol>
@stop
@section('css')
<style type="text/css">
    .bg-color{
        background-color: #1c3752;
    }
    
    
</style>
@stop
@section('content')


            <div class="container-fluid">
                <!-- /row -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="white-box">
                        	<div class="pull-right">
                                
							</div>
                            <h3 class="box-title">Published Map Detail</h3>

                            <div class="table-responsive">
                                

                                <table id="myTable" class="table table-bordered table-hover">
                                    <thead class="bg-color"> 
                                      
                                        <tr>
                                            <th style="color: white;">Sr No</th>
                                            <th  style="color: white;">Plot No</th>
        
                                            <th  style="color: white;">Category(Area)</th>
                                            <th  style="color: white;">Feature</th>
                                            <th style="color: white;">Exact/Odd</th>
                                            <th  style="color: white;">Sector</th>
                                            <th  style="color: white;">Road Category</th>
        
                                            <th  style="color: white;">Type</th>
        
                                            <th  style="color: white;">Street No
                                            </th>
                                            
                                        </tr>
                                    </thead>
                                    <tbody>
                                        
                                        @foreach($file_data as $balloting_detail)
                                        <tr>
                                           
                                            <td>{{$balloting_detail->sr_no}}</td>
                                            <td>{{$balloting_detail->plot_no}}</td>
                                            <td>{{$balloting_detail->area}}</td>
                                            <td>{{$balloting_detail->feature}}</td>
                                            <td>{{$balloting_detail->exact_odd}}</td>
                                            <td>{{$balloting_detail->sector}}</td>
                                            <td>{{$balloting_detail->road_category}}</td>
                                            <td>{{ $balloting_detail->type}}</td>
                                            <td>{{  $balloting_detail->street}}</td>
                                        </tr>
                                        @endforeach
                                       

                                    </tbody>
                                     
                                </table>
                                {{$file_data->links()}}
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.row -->
              </div>
            <!-- /.container-fluid -->

@stop

@section('js')
<script>
    $(function() {
        // $('#myTable').DataTable({

        //     "displayLength": 25000,
        // });

        var table = $('#example').DataTable({
            "columnDefs": [{
                "visible": false,
                "targets": 2
            }],
            "order": [
                [2, 'asc']
            ],
            "displayLength": 25,
            "drawCallback": function(settings) {
                var api = this.api();
                var rows = api.rows({
                    page: 'current'
                }).nodes();
                var last = null;
                api.column(2, {
                    page: 'current'
                }).data().each(function(group, i) {
                    if (last !== group) {
                        $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group + '</td></tr>');
                        last = group;
                    }
                });
            }
        });
        // Order by the grouping
        $('#example tbody').on('click', 'tr.group', function() {
            var currentOrder = table.order()[0];
            if (currentOrder[0] === 2 && currentOrder[1] === 'asc') {
                table.order([2, 'desc']).draw();
            } else {
                table.order([2, 'asc']).draw();
            }
        });
    });
    $('#example23').DataTable({
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
    });
    </script>
@stop