<form wire:submit.prevent="submitForm" class="form-horizontal" >
        
        <input  type='hidden' id='multipro_id' wire:model='multipro_id' value="{{$multipro_id}}">
        <input type='hidden'  wire:model='BallotingPreConditionFile_id' value='{{ $pre_cond->id }}'>
         
        <div class="white-box1">
            <h3 class="box-title m-b-0"><i class="icon-layers fa fa-globe"></i> Select Balloting Map File</h3>
            <hr>
            <div class="col-md-6">
                <div class="form-group">
                    <label style="padding-top: 8px;" class="control-label col-md-4">Map File<span
                            style="color:red">*</span></label>
                    <div class="col-md-8">

                        <select id="map_file"  wire:model="map_file" onchange="getMapData(this)">
                            <option value="" selected="">None</option>
                            @foreach ($balloting_files as $file)
                                <option value='{{ $file->id }}'>{{ $file->name }} </option>
                            @endforeach

                        </select>



                        @if ($errors->has('map_file'))
                            <span class="help-block">
                                <strong>{{ $errors->first('map_file') }}</strong>
                            </span>
                        @endif
                    </div>
                </div>
            </div>

            <div class="clearfix"></div>
            <div class="col-md-6">

                <div class="form-group">
                    <label style="padding-top: 8px;" class="control-label col-md-4">Ballot Specific Block</label>
                    <div class="col-md-8">
                        <label class="switch" id='switch'>
                            <input type="checkbox" id='specific_block'  wire:model='specific_block'>
                            <span class="slider round" id='slider'></span>
                        </label>
                        @if ($errors->has('specific_block'))
                            <span class="help-block">
                                <strong>{{ $errors->first('specific_block') }}</strong>
                            </span>
                        @endif
                    </div>
                </div>

            </div>
            <div class="clearfix"></div>





            <div id='specficblock' hidden>

                <div class=col-md-5>
                    <p class="text-muted  font-13"> <span style="color: red;">Note*:</span> You need to select map file first to get Block
                        Data </p>

                    {{-- <table class="table table-bordered table-responsive-md table-striped text-center"> --}}
                    {{-- <thead>
                                    <tr>

                                     
                                        <th class="text-center">Sector/Block</th>
                                       




                                    </tr>

                                </thead> --}}
                    {{-- <tbody id="tbody_data"> --}}

                    <tr height="2px" id="account_tr_" data-id="">




                        <td class="pt-3-half name" contenteditable="true">
                            <select class="form-control "
                                style="width: 100px;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                wire:model="sector" id='sector_0' data-id='0'>
                                <option>None</option>


                            </select>
                        </td>





                    </tr>









                    {{-- </tbody> --}}
                    {{-- </table> --}}
                </div>







            </div>

            <div class="clearfix"></div>
            {{-- <div class="col-md-6">

                <div class="form-group">
                    <label style="padding-top: 8px;" class="control-label col-md-4">Add Preference</label>
                    <div class="col-md-8">
                        <label class="switch" id='switch'>
                            <input type="checkbox" id='add_preference' name='add_preference'>
                            <span class="slider round" id='slider'></span>
                        </label>
                        @if ($errors->has('add_preference'))
                            <span class="help-block">
                                <strong>{{ $errors->first('add_preference') }}</strong>
                            </span>
                        @endif
                    </div>
                </div>

            </div> --}}
            <div id='preference' hidden>

                <div class=col-md-12 style="overflow-y:auto;height:381px;">
                    <p class="text-muted  font-13"> Note: You need to select map file first to get Preference
                        Data </p>

                    <table class="table table-bordered table-responsive-md table-striped text-center">
                        <thead>
                            <tr>

                                <th class="text-center">Select Property </th>
                                <th class="text-center">Feature Category</th>
                                <th class="text-center">Sector/Block</th>
                                <th class="text-center">Road Category</th>




                            </tr>

                        </thead>
                        <tbody id="tbody_data">

                            <tr height="2px" id="account_tr_" data-id="">

                                <td class="pt-3-half account" style="width: 40%" contenteditable="true">


                                    <select class="form-control js-example-basic-multiple" id='select_property'
                                    wire:model="select_property[]" multiple="multiple">


                                    </select>
                                </td>

                                <td class="pt-3-half name" contenteditable="true">
                                    <select class="form-control chosen-select "
                                        style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                        wire:model="feature" id='feature_0' data-id='0'>
                                        <option>None</option>


                                    </select>
                                </td>
                                <td class="pt-3-half name" contenteditable="true">
                                    <select class="form-control chosen-select"
                                        style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                        wire:model="sector_pre" id='sector_pre' data-id='0'>
                                        <option>None</option>


                                    </select>
                                </td>
                                <td class="pt-3-half name" contenteditable="true">
                                    <select class="form-control chosen-select"
                                        style="width: 80%;height: 26px;font-size: 11px;padding: 0px;padding-left: 18px;cursor: pointer;"
                                        wire:model="road_category" id='road_category_0' data-id='0'>
                                        <option>None</option>


                                    </select>
                                </td>




                            </tr>









                        </tbody>
                    </table>
                </div>







            </div>


        </div>
       

        <div class="row" id="update-table">

            <div class="col-lg-12">
                <div class="white-box1">
                    <h3 class="box-title m-b-0"><i class="icon-layers fa-fw"></i> {{ $pre_cond->name }}</h3>
                    <button onclick="addNewRow()" style='  float: right; margin-top: -34px;' class="btn  btn-primary" type='button'>
                        <i class="fa fa-plus"></i>&nbsp; Add
                    </button>

                    <div class="table-responsive" style=" clear: both; overflow-y:auto;height:381px;">
                        <hr>

                        <table class="table table-bordered" id='state_table'>
                            <thead class="bg-color">
                                <tr style="text-align: center">
                                    <th style="color: #fff;font-size: 13px;">#</th>
                                    <th style="color: #fff;font-size: 13px;">Unit #</th>
                                    <th style="color: #fff;font-size: 13px;">Size</th>
                                    <th style="color: #fff;font-size: 13px;">Customer</th>
                                    <th class="no-print" style="color: #fff;font-size: 13px;">Net Amount</th>
                                    <th style="color: #fff;font-size: 13px;">Booking Date</th>
                                    <th style="color: #fff;font-size: 13px;">Preference</th>
                                    <!-- <th class="no-print">Detail</th> -->

                                    <th style="color: #fff;font-size: 13px;">Action</th>
                                    <!-- <th>Ref#</th> -->

                                    <!-- <th>Net Amt</th> -->
                                </tr>
                            </thead>
                            <tbody>

                                <?php $count = 1; ?>
                                @foreach ($allStatements as $statement)
                                    <tr id='account_tr_{{ $count }}' data-id="{{ $count }}">
                                        <td>{{ $count++ }}</td>
                                        <input type='hidden'  wire:model='inventory_id[]'
                                            value='{{ $statement->inventory->id }}'>
                                        <td>{{ $statement->inventory ? $statement->inventory->unit_number : '' }}</td>
                                        <td>
                                            @if ($statement->inventory)
                                                @if ($statement->inventory->size)
                                                    {{ $statement->inventory->size->name }}
                                                     
                                                        {{ \App\ProjectType::society_size }}
                                                    
                                                @endif
                                            @endif
                                        </td>
                                        <td>{{ $statement->customer ? $statement->customer->name . '---' . $statement->customer->cnic : '' }}<br><b>
                                        </td>

                                        <td><b>{{ number_format($statement->net_pay) }}</b></td>







                                        <td>{{ date('d-m-Y', strtotime($statement->booking_date)) }}</td>


                                        <td>


                                            <select class="form-control chosen-select "
                                                id="unit_category_id_{{ $statement->inventory->id }}"
                                                wire:model="unit_category.{{ $statement->inventory->id }}[]"
                                                multiple="">

                                                @foreach ($statement->customerPrefferedCategory as $c)
                                                    <option value='{{ $c->category->id }}'>{{ $c->category->name }}
                                                    </option>
                                                @endforeach

                                            </select>
                                        </td>

                                        {{-- @if ($statement->status == \App\CustomerProperty::pending)
                                        <td><span class="label label-primary" style="background-color:#cd703d;">Pending</span></td>

                                        @elseif($statement->status == \App\CustomerProperty::approved)
                                        <td><span class="label label-success">Approved</span></td>
                                        @elseif($statement->status == \App\CustomerProperty::cancel)
                                        <td><span class="label label-danger">Canceled</span></td>
                                        @elseif($statement->status == \App\CustomerProperty::block)
                                        <td><span class="label label-danger"  style="background-color:#f80c0c;">Block</span></td>
                                        @else
                                        <td></td>
                                        @endif --}}


                                        <td class="pt-3-half name">

                                            <button type="button" class="btn btn-sm btn-danger btn-sm"
                                                onclick="removeParentDiv(this)"><i class="fa fa-times"></i></button>
                                        </td>


                                    </tr>

                                @endforeach
                                <tr id="custom_account_tr_0" class="tr_">

                                </tr>


                            </tbody>
                        </table>


                    </div>

                </div>
                <br>

            </div>
        </div>

        <button style="float: right;" id='start_button' type="submit"
            class="btn btn-info  waves-effect waves-light btn-lg">Start</button>
        <!-- /.row -->
    </form>