@extends( 'layouts.app' )

@section('title')
DEED OF THE RELINQUISHMENT
@stop

@section('css')
<style type="text/css">
    strong {
        color: black !important;
    }

    .body {
        font-size: 19px;
        color: solid black;
    }
</style>
@stop

@section('content')

<div class="container-fluid no-font">
    <div class="row printableArea" id="content">
        <div class="col-lg-12" style="font-size: 14px; margin-top: 105px; color: black;">
            <div class="white-box border-none">
                <div class="row">
                    <div class="col-sm-12 col-xs-12">
                        <div class="row">
                            <div class="col-sm-12 col-xs-12"
                                style="text-align: center; text-decoration: underline; font-weight: 600">
                                <p style="font-size: 25px">DEED OF THE RELINQUISHMENT RAWAL PALM CITY (DEATH TRANSFER)</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row">
                            <div class="col-sm-12 col-xs-12" style="">
                                <p>This deed of relinquishment is made at ___________________
                                on this ___________________ day of ___________________ 20 ___________________ betweemn
                                Mr./Mrs./Miss. ___________________ & ___________________ & ___________________ &
                                ___________________ S/W/D of ___________________ Muslim, adult, holding CNIC No.
                                ___________________ & ___________________ & ___________________ & ___________________ &
                                ___________________ respectively resident of ___________________ hereinafter referred as the "FIRSTPARTY".
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row">
                            <div class="col-sm-12 col-xs-12" style="font-weight: 600; text-align: center;">
                                <p style="font-size: 12px">AND</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-12 col-xs-12" style="">
                                <p>Mr. /Mrs. /Miss. ___________________ S/W/D of ___________________ R/O
                                    ___________________ and legal heir of deceased here in after referred as "SECONDPARTY".</p>
                                <p>The parties here to shall include their respective legal heir assigns and successors.</p>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12"
                                    style="text-decoration: underline; font-weight: 600">
                                    <p style="font-size: 25px">WITNESSETH AS UNDER:-</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12" style="">
                                    <p>WHEREAS Mr. /Mrs. /Miss. ___________________ S/W/D of ___________________ has
                                        expired on ___________________. Who was the sole absolute owner
                                        of Residential / Commercial Plot / House ___________________ Measuring
                                        ___________________ Sq. yards/feet, Registration No. ___________________. That
                                        my S / W / D/ H / F / M, Mr. /Mrs. /Miss ___________________(Late) S/W/D
                                        ___________________ of following legal heirs: -</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12" style="">
                                    <div class="table-responsive">
                                        <table id="myTable" class="table table-striped">
                                            <thead>
                                                <tr>
                                                    <th>S/No</th>
                                                    <th>Name of Legal Heirs </th>
                                                    <th>Age</th>
                                                    <th>Relationship With Deceased</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>1.<td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>

                                                <tr>
                                                    <td>2.<td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>

                                                <tr>
                                                    <td>3.<td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>

                                                <tr>
                                                    <td>4.<td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>

                                                <tr>
                                                    <td>5.<td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12" style="text-align: center; text-decoration: underline; font-weight: 600">
                                    <p style="font-size: 25px">NOW THIS DEED WITNESSETH AS UNDER</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row" style="">
                                <div class="col-sm-1 col-xs-1" style="">1.</div>
                                <div class="col-sm-11 col-xs-11" style="">
                                    <p>That the parties have voluntarily and mutually agreed that the aforesaid
                                        plot be transferred in the Name of ________________ S/D/W of who is Son / Wife
                                        /Daughter/Husband /Father/ Mother of the said deceased shown at serial No.
                                        ________________ above and is in physical possession of the said property.</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row" style="">
                                <div class="col-sm-1 col-xs-1" style="">2.</div>
                                <div class="col-sm-11 col-xs-11" style="">
                                    <p>That the First Party has no objection whatsoever if the said property is
                                        transferred
                                        in the name of the Second Party and necessary mutation in his/her name is
                                        carried out in the record of the RDA / Rawal Palm City and record of other
                                        relevant authorities.</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row" style="">
                                <div class="col-sm-1 col-xs-1" style="">3.</div>
                                <div class="col-sm-11 col-xs-11" style="">
                                    <p>That the First Party has surrendered/ relinquished and abandoned all their
                                        rights/ title claim over the said property in favor of the second party who has
                                        now become the sole and absolute owner of the said Property by virtue of these
                                        presents / documents.</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row" style="">
                                <div class="col-sm-1 col-xs-1" style="">4.</div>
                                <div class="col-sm-11 col-xs-11" style="">
                                    <p>That the first party shall not claim any right or title in the said property
                                        in future nor their respective legal heirs shall have any right or claim over
                                        the said property at present and times to come.</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row" style="">
                                <div class="col-sm-1 col-xs-1" style="">5.</div>
                                <div class="col-sm-11 col-xs-11" style="">
                                    <p>That the second party hereby accepts this relinquishment of rights and
                                        disclaims of the first party and now second party is the absolute owner of the
                                        said property.</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row" style="">
                                <div class="col-sm-1 col-xs-1" style="">6.</div>
                                <div class="col-sm-11 col-xs-11" style="">
                                    <p>That the first party and the second party agree and undertake
                                        that they shall keep the RDA/Rawal Palm City or any other authority harmless,
                                        indemnify against all losses, detriments which may be occasioned due to any
                                        other action of any person of authority in respect of the said property.</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row" style="">
                                <div class="col-sm-12 col-xs-12" style="">
                                    <p>In WITNESS WHEREOF the parties “above named” have got their respective hands
                                        hereunto on this ________________ day of ________________ 20 ________________
                                         in the presence of below mentioned witnesses: -</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row" style="">
                                <div class="col-sm-6 col-xs-6" style="">
                                    <p>1st Party</p>
                                    <p>Name & Signature</p>
                                    <p>1. ..............................</p>
                                    <p>2. ..............................</p>
                                    <p>3. ..............................</p>
                                    <p>4. ..............................</p>
                                    <p>5. ..............................</p>
                                </div>
                                <div class="col-sm-6 col-xs-6" style="">
                                    <p>2nd Party</p>
                                    <p>Name & Signature</p>
                                    <p>1. ..............................</p>
                                    <p>2. ..............................</p>
                                    <p>3. ..............................</p>
                                    <p>4. ..............................</p>
                                    <p>5. ..............................</p>
                                </div>
                            </div>
                        <br><br>
                        </div>

                        <div class="col-sm-12 col-xs-12">
                            <div class="row" style="">
                                <div class="col-sm-6 col-xs-6" style="">
                                    <p>WITNESS 1</p>
                                    <p>Name & Signature: ..............................</p>
                                    <p>Name: ..............................</p>
                                    <p>CNIC: ..............................</p>
                                    <p>Date: ..............................</p>
                                </div>
                                <div class="col-sm-6 col-xs-6" style="">
                                    <p>WITNESS 2</p>
                                    <p>Name & Signature: ..............................</p>
                                    <p>Name: ..............................</p>
                                    <p>CNIC: ..............................</p>
                                    <p>Date: ..............................</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div style="display: inline-block;    margin-bottom: 70px;">
            <div class="text-right" style="display: inline-block;">
                <button id="print" class="btn btn-default btn-outline no-print" type="button"> <span><i
                            class="fa fa-print"></i> Print</span> </button>
            </div>
        </div>
    </div>
</div>

@stop

@section('js')
<script src="{{ asset('js/jquery.PrintArea.js') }}" type="text/JavaScript"></script>
<script>
    $(function () {
        $("#print").on("click", function () {
            var mode = 'iframe'; //popup
            var close = mode == "popup";
            var options = {
                mode: mode,
                popClose: close
            };
            $("div.printableArea").printArea(options);
        });
    });
</script>
@stop