@extends( 'layouts.app' )

@section('title')
Affidavit Gift Declaration
@stop

@section('css')
<style type="text/css">
    strong {
        color: black !important;
    }

    .body {
        font-size: 19px;
        color: solid black;
    }
</style>
@stop

@section('content')

<div class="container-fluid no-font">
    <div class="row printableArea" id="content">
        <div class="col-lg-12" style="font-size: 14px; margin-top: 105px; color: black;">
            <div class="white-box border-none">
                <div class="row">
                    <div class="col-sm-12 col-xs-12">
                        <div class="row">
                            <div class="col-sm-12 col-xs-12" style="text-align: center; text-decoration: underline; font-weight: 600">
                                <p style="font-size: 25px">GIFT DECLARATION</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row">
                            <div class="col-sm-12 col-xs-12" style="">
                                <p>
                                    I _________________
                                    {{-- {{ $transfer->transferProperties->transfer->name }}

                                    @if ($transfer->transferProperties->transfer->father_type == 1)
                                        {{ 'S/O' }}
                                    @elseif($transfer->transferProperties->transfer->father_type == 2)
                                        {{ 'D/O' }}
                                    @elseif($transfer->transferProperties->transfer->father_type == 3)
                                        {{ 'W/O' }}
                                    @else
                                        {{ 'S/W/D' }}
                                    @endif 
                                     
                                    {{ $transfer->transferProperties->transfer->father_name }}  --}}
                                    _________________
                                    resident of _________________
                                    {{-- {{$transfer->transferProperties->transfer->mailing_address}}  --}}
                                    holding CNIC No. _________________
                                    {{-- {{$transfer->transferProperties->transfer->cnic}}  --}}
                                    do hereby solemnly affirm and declare as under:-
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-1 col-xs-1" style="">1.</div>
                            <div class="col-sm-11 col-xs-11" style="">
                                <p>
                                    That I have great love and affection for my S/W/D. I am deeply touched by the treatment,
                                    obedience and natural love of _________________
                                    {{-- {{ $transfer->transferProperties->owner->name }} 
                                    @if ($transfer->transferProperties->owner->father_type == 1)
                                        {{ 'S/O' }}
                                    @elseif($transfer->transferProperties->owner->father_type == 2)
                                        {{ 'D/O' }}
                                    @elseif($transfer->transferProperties->owner->father_type == 3)
                                        {{ 'W/O' }}
                                    @else
                                        {{ 'S/W/D' }}
                                    @endif  
                                    {{ $transfer->transferProperties->owner->father_name }}
                                    _________________
                                    --}}
                                    resident of _________________
                                    {{-- {{$transfer->transferProperties->owner->mailing_address }} --}}
                                    holding CNIC No. _________________
                                    {{-- {{$transfer->transferProperties->owner->cnic }} --}}
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-1 col-xs-1" style="">2.</div>
                            <div class="col-sm-11 col-xs-11" style="">
                                <p>
                                    That I have gifted my Plot No {{ $transferinfo->inventory->unit_number }} Booking No
                                    {{ $transferinfo->membership_no }} Rawal Palm City,
                                    covered area Marla, to 
                                    {{-- {{ $transfer->transferProperties->owner->name }} 
                                    @if ($transfer->transferProperties->owner->father_type == 1)
                                        {{ 'S/O' }}
                                    @elseif($transfer->transferProperties->owner->father_type == 2)
                                        {{ 'D/O' }}
                                    @elseif($transfer->transferProperties->owner->father_type == 3)
                                        {{ 'W/O' }}
                                    @else
                                        {{ 'S/W/D' }}
                                    @endif  
                                    
                                    {{ $transfer->transferProperties->owner->father_name }} --}}
                                    out of my saving and the said gift is irrevocable.
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-1 col-xs-1" style="">3.</div>
                            <div class="col-sm-11 col-xs-11" style="">
                                <p>
                                    That the above gift is complete, irrevocable, and unconditional and has been made on
                                    account of natural love and affection.
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-1 col-xs-1" style="">4.</div>
                            <div class="col-sm-11 col-xs-11" style="">
                                <p>
                                    That I have now no concern or claim or any interest with the said Plot.
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-1 col-xs-1" style="">5.</div>
                            <div class="col-sm-11 col-xs-11" style="">
                                <p>
                                    That the above done have now become absolute owner of the said Plot and he has full
                                    right to use, enjoy, invest anywhere in any shape to anybody else, desired by him. In
                                    this respect I will have no objection.
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-1 col-xs-1" style="">6.</div>
                            <div class="col-sm-11 col-xs-11" style="">
                                <p>
                                    That this declaration of gift has been made by the donor without any undue influence
                                    or coercion and in the full knowledge of the facts and consequence of the gift made.
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-12 col-xs-12" style="">
                                <p>
                                    That my above- mention statement is correct and true to the best of my knowledge and
                                    belief and nothing has been concealed therein.
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-6 col-xs-6" style="">
                                <p>
                                    Date: {{ date('F d, Y') }}
                                </p>
                            </div>
                            <div class="col-sm-6 col-xs-6" style="">
                                <p>
                                    DONOR/DEPONENT: {{-- {{ $transfer->transferProperties->transfer->name }} --}}
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-6 col-xs-6" style=""></div>
                            <div class="col-sm-6 col-xs-6" style="">
                                <p>
                                    CNIC No: {{-- {{ $transfer->transferProperties->transfer->cnic }} --}}
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-6 col-xs-6" style="text-decoration: underline; font-weight: 600">
                                <p style="font-size: 20px">ACCEPTENCE OF GIFT:-</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-12 col-xs-12" style="">
                                <p>
                                    I _________________
                                    {{-- {{ $transfer->transferProperties->owner->name }}

                                    @if ($transfer->transferProperties->owner->father_type == 1)
                                        {{ 'S/O' }}
                                    @elseif($transfer->transferProperties->owner->father_type == 2)
                                        {{ 'D/O' }}
                                    @elseif($transfer->transferProperties->owner->father_type == 3)
                                        {{ 'W/O' }}
                                    @else
                                        {{ 'S/W/D' }}
                                    @endif 
                                    
                                    {{ $transfer->transferProperties->owner->father_name }} --}} _________________
                                    resident of _________________
                                    {{-- {{$transfer->transferProperties->owner->mailing_address }} --}}
                                    holding CNIC No. _________________
                                    {{-- {{$transfer->transferProperties->owner->cnic }} --}}

                                    do hereby solemnly affirm and declared that I have accepted the 
                                    above said gift made out by the donor and have taken over the possession of
                                    the same.
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-6 col-xs-6" style="">
                                <p>
                                    Date: {{ date('F d, Y') }}
                                </p>
                            </div>
                            <div class="col-sm-6 col-xs-6" style="">
                                <p>
                                    DONEE: {{-- {{ $transfer->transferProperties->owner->name }} --}}
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-6 col-xs-6" style=""></div>
                            <div class="col-sm-6 col-xs-6" style="">
                                <p>
                                    CNIC No: {{-- {{ $transfer->transferProperties->owner->cnic }} --}}
                                </p>
                            </div>
                        </div>
                    <br><br><br>
                    </div>

                    <div class="col-sm-12 col-xs-12">
                        <div class="row" style="">
                            <div class="col-sm-6 col-xs-6" style="">
                                <p>WITNESS:</p><br>
                                <p>1. _________________</p>
                            </div>
                            <div class="col-sm-6 col-xs-6" style="">
                                <p>WITNESS:</p><br>
                                <p>2. _________________</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div style="display: inline-block;    margin-bottom: 70px;">
            <div class="text-right" style="display: inline-block;">
                <button id="print" class="btn btn-default btn-outline no-print" type="button"> <span><i
                            class="fa fa-print"></i> Print</span> </button>
            </div>
        </div>
    </div>
</div>

@stop

@section('js')
<script src="{{ asset('js/jquery.PrintArea.js') }}" type="text/JavaScript"></script>
<script>
    $(function () {
        $("#print").on("click", function () {
            var mode = 'iframe'; //popup
            var close = mode == "popup";
            var options = {
                mode: mode,
                popClose: close
            };
            $("div.printableArea").printArea(options);
        });
    });
</script>
@stop