<p style="text-align: center; font-weight: 700; font-size: 18px;">Pick One Package</p>
<div class="table-responsive">
    <table id="myTable" class="table table-striped">
        <thead>
            <tr>
                <th></th>
                <th>Package</th>
                <th>Net Amount</th>
                <th>Rebate</th>
                <th>Received Amount</th>
                <th>Paid Rebate</th>


            </tr>
        </thead>
        <tbody>

            @foreach ($transactions as $t) 
              
                    @if ($t->dealerPackage && $t->dealerPackage->payment_status == \App\DealerPackage::completed)
                        <tr>

                            @if (old('dealerpackage_id') == $t->dealer_package_id)
                                <td><input id="property_id" type="radio" checked="" required name='dealerpackage_id'
                                    value='{{ $t->dealerPackage->id }}'  onchange="getAmount(this)"
                                        data-amount="{{ number_format($t->amount - $paid_rebate[$t->id]) }}"></td>
                            @else
                                <td><input id="property_id" type="radio" required name='dealerpackage_id'
                                    value='{{ $t->dealerPackage->id }}'  onchange="getAmount(this)"
                                        data-amount="{{ number_format($t->amount - $paid_rebate[$t->id]) }}"></td>
                            @endif
                            <td>
                               
                                {{ $t->dealerPackage->package->name }}
                            </td>
                            <td>{{ number_format($t->dealerPackage->package->total_price) }}</td>
                            <td>{{ number_format($t->amount) }}</td>
                            <td>{{ number_format($received_amount[$t->id]) }}</td>
                            <td>{{ number_format($paid_rebate[$t->id]) }}</td>



                        </tr>
                    @endif
               
            @endforeach


        </tbody>
    </table>
</div>


 


<label for="exampleInputuname" class="col-sm-2 control-label">
    Remaining Rebate
</label>
<div class="col-sm-10">
    <div class="input-group" style="width:384px; margin-left: -7px;">

        <input type="text" disabled="" class="form-control"
            value="{{ number_format($dealer->total_rebate - $dealer->total_paid_amount) }}" id="remaining_amount">

    </div>
</div>
