

<?php $__env->startSection('title'); ?>
    Transfer Documents
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="<?php echo e(route('transfer.all')); ?>">Transfers</a></li>
        <li class="active">Approve Transfer </li>
    </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

    <style type="text/css">
        .spanha {
            color: red;
        }

        .divider:after,
        .divider:before {
            content: "";
            flex: 1;
            height: 1px;
            background: #eee;
        }
    </style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <div class="row">

            <form method='post' autocomplete="off" action="<?php echo e(route('transfer.approve.store')); ?>" enctype="multipart/form-data">
                <?php echo e(csrf_field()); ?>

                <div class="col-lg-12 col-sm-12 col-xs-12">
                    <div class="white-box-2">
                        <h3 class="box-title m-b-0"><i class="icon-layers fa-fw"></i>Approve Transfer</h3>
                        <p class="text-muted m-b-30 font-13"> <span class="spanha">Note:</span> All * fields are mandatory
                        </p>
                        <hr>

                        <input type="hidden" value="<?php echo e($transferProperty->id); ?>" name="id">

                        <div class="col-lg-12 col-sm-12 col-xs-12">

                            <div class="col-md-8">
                                <div class="form-group">
                                    <label style="padding-top: 8px;" class="control-label col-md-2">Unit No <span
                                            style="color: red">*</span></label>
                                    <div class="col-md-8">

                                        <input type="text" class="form-control"  
                                              id="exampleInputEmail1" value="<?php echo e($transferProperty->property->inventory->unit_number); ?>"
                                             readonly>
                                        <?php if($errors->has('unit_no')): ?>
                                            <span class="help-block">
                                                <strong><?php echo e($errors->first('unit_no')); ?></strong>
                                            </span>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>



                            <div class="col-md-8">
                                <div class="form-group">
                                    <label for="inputPassword3" class="col-sm-2 control-label">Status<span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-8">
                                        <div class="input-group">
                                            <select class="form-control" style="width:300px" name="status">
                                                
                                                <?php if($transferProperty->status == \App\TransferProperty::transfer_approved): ?>
                                                <option value="<?php echo e(\App\TransferProperty::transfer_pending); ?>">Pending</option>
                                                <option value="<?php echo e(\App\TransferProperty::transfer_approved); ?>" selected>Approve</option>
                                             
                                             <?php else: ?>
                                             <option value="<?php echo e(\App\TransferProperty::transfer_pending); ?>" selected>Pending</option>
                                             <option value="<?php echo e(\App\TransferProperty::transfer_approved); ?>" >Approve</option>
                                          
                                                <?php endif; ?>
                                                

                                            </select>

                                            <?php if($errors->has('status')): ?>
                                                <span class="help-block">
                                                    <strong><?php echo e($errors->first('status')); ?></strong>
                                                </span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="form-group m-b-0 ">
                            <div class="col-sm-offset-3 col-sm-9">
                                <button type="submit" class="btn btn-info  waves-effect waves-light ">Save</button>
                            </div>
                        </div>

                    </div>
                </div>



                
                
                







            </form>
        </div>
    </div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

    

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/statement/transfer/approve-transfer.blade.php ENDPATH**/ ?>