

<?php $__env->startSection('title'); ?>
All Merging Properties
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right no-print">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">All Merging Properties</li>
      </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

<link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet">
<link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css"  rel="stylesheet">

<style>

table.dataTable thead .sorting_asc {
    background-image: none !important;
}

.table.dataTable, table.dataTable {
    width: 99.8%!important;
}
</style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>


            <div class="container-fluid">
                <!-- /row -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="white-box">
                        	<div class="pull-right">
                                <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'merging-properties')): ?>
                                 <a href="<?php echo e(route('merging.properties')); ?>" class="btn  btn-default">
                                    <i class="fa fa-plus-square"></i>&nbsp; Add Merging Property
                                </a> 
                                <?php endif; ?>
                                
							</div>
                            <h3 class="box-title">All Merging Properties</h3>

                            <div class="table-responsive">
                                <table id="myTable" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>MRF No</th>
                                            <th>MAF No</th>
                                            <th>Property Code</th>
                                            <th>Demand </th>
                                            <th>Value (As per Client)</th>
                                            <th> Assessed value </th>
                                            <th>Assessment Amount</th>
                                            

                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $count =1;?>
                                      
                                        <?php $__currentLoopData = $merging_properties; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $merging_property): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            
                                            
                                            <td><?php echo e($count++); ?></td>
                                            
                                            <td><b><?php echo e($merging_property->mrf_no); ?> </b></td>
                                            
                                            <td><?php echo e($merging_property->maf_no); ?> </td>
                                            
                                            <td><?php echo e($merging_property->property_code); ?> </td>
                                            
                                            <td><b><?php echo e($merging_property->demand_for_property); ?> PKR</b></td>
                                            
                                            <td><?php echo e($merging_property->demand_for_property); ?> PKR</td>
                                            
                                            <td><?php echo e($merging_property->merging_assessed_value); ?> PKR</td>
                                            
                                            <td><?php echo e($merging_property->assessment_amount); ?> PKR</td>
                                            
                                            <td class="text-nowrap">
                                            
                                            <a href="<?php echo e(route('merging.properties.form' , [$merging_property->id])); ?>" data-toggle="tooltip" data-original-title="View"> <i class="fa fa-eye text-inverse m-r-10"></i> </a>
                                            
                                            </td>
                                            
                                            
                                        </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.row -->
              </div>
            <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
 <script src="https://cdn.datatables.net/buttons/1.7.0/js/dataTables.buttons.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
 <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
 <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.html5.min.js"></script>
  <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.print.min.js"></script>

<script>
    $(function() {
        $('#myTable').DataTable({
            'pageLength':25,
            'dom': 'Bfrtip',
        'buttons': [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
        });
    });

        
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/merging-properties/index.blade.php ENDPATH**/ ?>