

<?php $__env->startSection('title'); ?>
Create New Unit Blockage Criteria
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="<?php echo e(route('unitblockage.index')); ?>"><i class="fa fa-dashboard"></i> Unit Blockage Criteriat</a></li>
       
        <li class="active">Create</li>
</ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>

<link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet">
<link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css"  rel="stylesheet">

 
      <style type="text/css">
   .whitebox3 {
    background: #fff;
    padding: 18px 25px 10px 25px;
    margin-bottom: 30px;
    border-radius: 4px;
    }
    .circle {
        width: 60px;
        height: 60px;
        border-radius: 50%;
        overflow: hidden;
        margin: 0 auto;
    }
    .box-title{
        font-weight: 700;
        font-size: 18px;
    }
    </style>
    

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>


<div class="container-fluid">
    <form method="post" action="<?php echo e(route('unitblockage.store')); ?>" class="form-horizontal" id="receipt_form" enctype="multipart/form-data">
        <?php echo e(csrf_field()); ?>

        <div class="row">
            <div class="col-lg-12 col-sm-12 col-xs-12">
                <?php if($errors->any()): ?>
                    <div class="white-box">
                        <h2>Errors</h2>
                        <ul>
                            <?php echo implode(
                                '',
                                $errors->all('<li><span
                                 class="help-block"><strong>:message</strong></span></li>'),
                            ); ?>

                        </ul>
                    </div>
                <?php endif; ?>
                <div class="whitebox3">
                <h3 class="box-title m-b-0">
                <i class="fa fa-plus-circle" aria-hidden="true"></i> Create New Unit Blockage Criteria</h3>
                <p class="text-muted m-b-30 font-13" style="height: 5px;"> Add the information </p>
                    <hr>



                    <div class="col-md-6" style="margin-top: 20px; margin-bottom: 20px;">
                       
                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Name 
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                    <input type="text" class="form-control" name="criteria"
                                          id="criteria" placeholder="Add..."  >
                                    <?php if($errors->has('criteria')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('criteria')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div> 
                        </div>

                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Add Number Of Days 
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                    <input type="number" class="form-control" name="number_of_days"
                                          id="number_of_days" placeholder="Add..." value="<?php echo e(old('number_of_days')); ?>">
                                    <?php if($errors->has('number_of_days')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('number_of_days')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div> 
                        </div>

                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Add Due Amount
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                   
                                    <input type="number" class="form-control" name="due_amount"
                                    id="due_amount" placeholder="Add..." value="<?php echo e(old('due_amount')); ?>">
                              <?php if($errors->has('due_amount')): ?>
                                  <span class="help-block">
                                      <strong><?php echo e($errors->first('due_amount')); ?></strong>
                                  </span>
                              <?php endif; ?>
                                </div>
                            </div> 
                        </div>

                       

                       
                       
                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Description
                                
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                     <textarea name='description' style="width: 400px; height: 100px;"
                                     class='form-control' placeholder="Add..." value="<?php echo e(old('description')); ?>"></textarea>
                                    <?php if($errors->has('description')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('description')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div> 
                        </div>


                            <div class=" col-sm-5" style="margin-left: 280px;">
                                <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                    style="width: 100%;">Save</button>
                            </div>


                    </div>
                    <div class="clearfix"></div>


                    <div class="clearfix"></div>
                    
                    
                </div>
            </div>
        </div>
    </form>
</div>

            
  
</div>


 

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
    function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#blah')
                        .attr('src', e.target.result)
                        .width(60)
                        .height(60);
                };

                reader.readAsDataURL(input.files[0]);
            }
        }
    </script>

   
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/Setting/unitblockage/create.blade.php ENDPATH**/ ?>