


<?php $__env->startSection('title'); ?>
Employee Attendace Setting
<?php $__env->stopSection(); ?>

    <?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Add Newtork</li>
    </ol>
    <?php $__env->stopSection(); ?>

        <?php $__env->startSection('css'); ?>

        <style type="text/css">
            label {
                display: inline-block;
                max-width: 100%;
                margin-bottom: 5px;
                font-weight: 700
            }
        </style>
        <?php $__env->stopSection(); ?>

            <?php $__env->startSection('content'); ?>

            <div class="container-fluid">
                <!--.row-->
                <div class="row">



                    <div class="white-box">
                        <h3 class="box-title m-b-0"><i class="icon-user fa-fw"></i> Hrm Setting</h3>
                        <?php if(!empty($hrm_setting)): ?>
                            <form class="form-horizontal"
                                action="<?php echo e(route('hrm.setting.update', ['id'=> $hrm_setting->id])); ?>"
                                method="POST" autocomplete="off">

                                <?php echo e(csrf_field()); ?>


                                <input type="hidden" value="<?php echo e($hrm_setting->id); ?>" name="id">
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label">Checkin <span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group">
                                            <div class="input-group-addon"><i class="ti-user"></i></div>
                                            <input type="time" class="form-control" name="checkin"
                                                value="<?php echo e($hrm_setting->checkin); ?>" id="exampleInputuname"
                                                placeholder="Enter Checkin Time">
                                            <?php if($errors->has('checkin')): ?>
                                                <span class="help-block">
                                                    <strong><?php echo e($errors->first('checkin')); ?></strong>
                                                </span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Checkout <span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-10" >
                                        <div class="input-group">
                                            <div class="input-group-addon"><i class="ti-user"></i></div>
                                            <input type="time" class="form-control" name="checkout"
                                                value="<?php echo e($hrm_setting->checkout); ?>" id="exampleInputuname"
                                                placeholder="Enter Checkout Time">
                                            <?php if($errors->has('checkout')): ?>
                                                <span class="help-block">
                                                    <strong><?php echo e($errors->first('checkout')); ?></strong>
                                                </span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label">Late Fine <span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-10" >
                                        <div class="input-group">
                                            <div class="input-group-addon"><i class="ti-user"></i></div>
                                            <input type="integer" class="form-control" name="late_fine"
                                                value="<?php echo e($hrm_setting->late_fine); ?>" id="exampleInputuname"
                                                placeholder="Enter Late Fine">
                                            <?php if($errors->has('late_fine')): ?>
                                                <span class="help-block">
                                                    <strong><?php echo e($errors->first('late_fine')); ?></strong>
                                                </span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>

                                <?php

                                    $offday = explode(',', $hrm_setting->weekend_day);



                                ?>

                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label">Weekends <span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                <?= ( in_array('Sun', $offday)) ? 'checked' : '' ?> value="Sun"
                                                id="Sunday" style="zoom: 1.5;">
                                            <label class="form-check-label" name for="flexCheckDefault">
                                                Sunday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                <?= ( in_array('Mon', $offday)) ? 'checked' : '' ?> value="Mon"
                                                id="monday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Monday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                <?= ( in_array('Tue', $offday)) ? 'checked' : '' ?> value="Tue"
                                                id="tuesday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Tuesday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                <?= ( in_array('Wed', $offday)) ? 'checked' : '' ?> value="Wed"
                                                id="wednesday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Wednesday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                <?= ( in_array('Thu', $offday)) ? 'checked' : '' ?> value="Thu"
                                                id="thursday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Thursday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                <?= ( in_array('Fri', $offday)) ? 'checked' : '' ?> value="Fri"
                                                id="friday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Friday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                <?= ( in_array('Sat', $offday)) ? 'checked' : '' ?> value="Sat"
                                                id="saturaday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Saturday
                                            </label>
                                        </div>
                                    </div>
                                </div>


                                <div class=" col-sm-4">&nbsp;</div>
                                <div class=" col-sm-4">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                            style="width: 100%">Save</button>
                                    </div>
                                </div>
                            </form>


                        <?php else: ?>
                            <form class="form-horizontal"
                                action="<?php echo e(route('create.hrm.setting.attendance')); ?>"
                                method="POST" autocomplete="off">

                                <?php echo e(csrf_field()); ?>


                                <input type="hidden" value="<?php echo e('id'); ?>" name="id">
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label">Checkin <span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group">
                                            <div class="input-group-addon"><i class="ti-user"></i></div>
                                            <input type="time" class="form-control" name="checkin"
                                                id="exampleInputuname" placeholder="Enter Checkin Time">
                                            <?php if($errors->has('checkin')): ?>
                                                <span class="help-block">
                                                    <strong><?php echo e($errors->first('checkin')); ?></strong>
                                                </span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Checkout <span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group">
                                            <div class="input-group-addon"><i class="ti-user"></i></div>
                                            <input type="time" class="form-control" name="checkout"
                                                id="exampleInputuname" placeholder="Enter Checkout Time">
                                            <?php if($errors->has('checkout')): ?>
                                                <span class="help-block">
                                                    <strong>You have not entered time or entered the time after checkin.</strong>
                                                </span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label">Late Fine <span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group">
                                            <div class="input-group-addon"><i class="ti-user"></i></div>
                                            <input type="integer" class="form-control" name="late_fine"
                                                id="exampleInputuname" placeholder="Enter Late Fine">
                                            <?php if($errors->has('late_fine')): ?>
                                                <span class="help-block">
                                                    <strong><?php echo e($errors->first('late_fine')); ?></strong>
                                                </span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>

                               

                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label">Weekends <span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                               value="Sun"
                                                id="Sunday" style="zoom: 1.5;">
                                            <label class="form-check-label" name for="flexCheckDefault">
                                                Sunday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                value="Mon"
                                                id="monday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Monday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                              value="Tue"
                                                id="tuesday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Tuesday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                value="Wed"
                                                id="wednesday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Wednesday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                value="Thu"
                                                id="thursday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Thursday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                value="Fri"
                                                id="friday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Friday
                                            </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="checkbox" name="day[]"
                                                value="Sat"
                                                id="saturaday" style="zoom: 1.5;">
                                            <label class="form-check-label" for="flexCheckChecked">
                                                Saturday
                                            </label>
                                        </div>
                                    </div>
                                </div>


                                <div class=" col-sm-4">&nbsp;</div>
                                <div class=" col-sm-4">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                            style="width: 100%">Save</button>
                                    </div>
                                </div>
                            </form>
                        <?php endif; ?>


                    </div>
                </div>
            </div>
            <!--./row-->
            </div>
            <!-- /.container-fluid -->

            <?php $__env->stopSection(); ?>


                <?php $__env->startSection('js'); ?>

                <script src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/jquery.inputmask.bundle.js"></script>

                <script type="text/javascript">
                    $(document).ready(function () {

                                $("#Sunday").click(function () {
                                    1

                                    $("#Sunday").value(1);

                                    $("#Saturaday").click(function () {

                                        $("#Saturaday").value(1);

                                    });
                                });
                </script>



                <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\akram-city.projecterp.net\resources\views/hrm/hrm-setting.blade.php ENDPATH**/ ?>