

<?php $__env->startSection('title'); ?>
Edit Project
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="<?php echo e(route('multi.index')); ?>"><i class="fa fa-dashboard"></i> Projects List</a></li>
       
        <li class="active">Edit</li>
      </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>

<link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet">
<link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css"  rel="stylesheet">

 
      <style type="text/css">
   .whitebox3 {
background: #fff;
    padding: 18px 25px 10px 25px;
    margin-bottom: 30px;
    border-radius: 4px;
    }
    .circle {
        width: 60px;
        height: 60px;
        border-radius: 50%;
        overflow: hidden;
        margin: 0 auto;
    }
    </style>
    

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>


<div class="container-fluid">
    <form method="post" action="<?php echo e(route('multi.update')); ?>" class="form-horizontal" id="receipt_form" enctype="multipart/form-data">
        <?php echo e(csrf_field()); ?>

        <div class="row">
            <div class="col-lg-12 col-sm-12 col-xs-12">
                <?php if($errors->any()): ?>
                    <div class="white-box">
                        <h2>Errors</h2>
                        <ul>
                            <?php echo implode(
                                '',
                                $errors->all('<li><span
                                class="help-block"><strong>:message</strong></span></li>'),
                            ); ?>

                        </ul>
                    </div>
                <?php endif; ?>
                <div class="whitebox3">
                    <h3 class="box-title" style="font-size: 18px; font-weight: 700; height: 20px;"><i class="icon-settings fa-fw"></i> Edit Project</h3>
                    <p class="text-muted m-b-30 font-13" style="height: 5px;"> Update the information </p>
                    <hr>


                    <input type='hidden' name='id' value="<?php echo e($id); ?>">
                    <div class="col-md-6" style="margin-top: 20px; margin-bottom: 20px;">
                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Name
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                    <input type="text" class="form-control" name="project_name"
                                          id="project_name" placeholder="Update Name" value="<?php echo e($multiprojects->name); ?>">
                                    <?php if($errors->has('project_name')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('project_name')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div> 
                        </div>

                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Type
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                    <select class="form-control" name="project_type" id="project_type">
                                        
                                        <?php $__currentLoopData = $project_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p_t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($p_t->id == $multiprojects->project_type_id): ?>
                                        <option value='<?php echo e($p_t->id); ?>' selected><?php echo e($p_t->name); ?></option>
                                       
                                            
                                        <?php else: ?>
                                        <option value='<?php echo e($p_t->id); ?>'><?php echo e($p_t->name); ?></option>
                                       
                                        <?php endif; ?>
                                       

                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>  
                                    <?php if($errors->has('project_type')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('project_type')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div> 
                        </div>


                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Logo
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                 
                                    <div class="input-group" style="width: 400px;">
                                <input type="file" class="form-control" name="image"
                                id="image" onchange="readURL(this);">
                                <img id="blah" class='circle' src="<?php echo e(asset('images/add_logo.png')); ?>" alt="your image" style='display:none;'/>
                                
                                </div>
                                   
                                    <?php if($errors->has('image')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('image')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                               
                            </div>

                        </div>
                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Address
                               
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                    <input type='text ' class='form-control' id='address' name='address'  placeholder="Update Address" value="<?php echo e($multiprojects->address); ?>">
                                    <?php if($errors->has('address')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('address')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div> 
                        </div>
                        <div class="form-group">
                            <label for="exampleInputuname" class="control-label col-md-4">Description
                                
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 400px;">
                                     <textarea name='description' style="width: 400px; height: 100px;" class='form-control' placeholder="Update Description..."><?php echo e($multiprojects->description); ?></textarea>
                                    <?php if($errors->has('description')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('description')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div> 
                        </div>


                       


                            <div class=" col-sm-5" style="margin-left: 195px;">
                                <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                    style="width: 100%;">Update</button>
                            </div>


                    </div>
                    <div class="clearfix"></div>


                    <div class="clearfix"></div>
                    
                    
                </div>
            </div>
        </div>
    </form>
</div>

            
  
</div>


 

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
    function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#blah')
                        .attr('src', e.target.result)
                        .width(60)
                        .height(60);
                };

                reader.readAsDataURL(input.files[0]);
            }
        }
    </script>

   
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/multiproject/edit.blade.php ENDPATH**/ ?>