


<?php $__env->startSection('title'); ?>
Detail of Customer Transfer Property Statement 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right no-print">
    <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'list-membership')): ?>
    <li ><a href="<?php echo e(route('customer.all')); ?>">Customer</a></li>
    <?php endif; ?>
    <li class="active">Transfer Detail</li>
</ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<style type="text/css">
    .bg-color{
        background-color: #1c3752;
    }
    .anchor-link
    {
        display: none;
    }
</style>
<style type="text/css" media="print">
    
    @media  print {
        .page-wrapper{
        font-size: 12px !important;
        font-family: "time-new-roman",Arial,sans-serif !important;
        color: black !important;
        }
        h3{
            line-height: 1px;
        }

          h3 strong{
        text-transform: uppercase;
        color: black !important
    }
    h4 strong{
        text-transform: uppercase;
        color: black !important
    }
    .printFH11 {
    font-size: 13px;
    font-weight: 800;
    background-color: #000000;
    }
    .white-box .box-title {
    margin: 0px 0px 4px 0px;
    font-weight: 700;
    font-size: 14px;
    color: #1c3752;
    background-color: #000000 !important;
    }
    .white-box {
    padding: 0px 0px 2px 0px;
    margin-bottom: 0px;
    margin-bottom: 0;
    border-radius: inherit;
    }
    .table {
    width: 100% !important;
    margin-bottom: 5px;
    margin-top: -2px;
    }
    .table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th {
    vertical-align: top;
    }
    .page-wrapper {
    padding-top: 0px;
    }
    }
</style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="container-fluid">
    <div class="row printableArea"  id="htmlContent">

        <div class="col-lg-12 text-center">
   
            <!-- <div class="pull-left hidden-lg">-->



        </div><div class="clear"></div>
            <div class="text-center">
                <h3><strong><?php echo e(env('APP_NAME')); ?></strong></h3>
                <h4>Account Statement Before Transfer</h4>
            </div>
        <div class="col-lg-12">
            <div class="white-box1 ">
                <h4 class="box-title " style=" color: white; background-color:#1c3752;line-height: 30px" id="text_detail">&nbsp;&nbsp;Member Information</h4>
                    <?php
                      $ownerArray[] =$transferproperty->owner->name;

if(!empty($transferproperty->owner->first_owner))
{
     $ownerArray[] = $transferproperty->owner->first_owner;
}

if(!empty($transferproperty->owner->second_owner))
{
     $ownerArray[] = $transferproperty->owner->second_owner;
}

                   

                    ?>
                <div class="pull-left" style="width:100%">
                    <div class="table-responsive">
                        <table class="table bottom-table" id="main_customer_info">
                            <tbody class="printFW">
                                
                               
                                <tr>
                                    <td style="font-weight: 600;"> <?= ( $transferproperty->owner->type  == 1) ? 'Company Name:' : 'Member Name:' ?></td>
                                    <td> 
                                        <?php if(count($ownerArray) > 1): ?>
                                            <?php echo e($transferproperty->owner->name); ?>, <?php echo e($transferproperty->owner->first_owner); ?>, <?php echo e($transferproperty->owner->second_owner); ?> 
                                        <?php else: ?>
                                            <?php echo e($transferproperty->owner->name); ?> 
                                        <?php endif; ?>

                                    </td>

                                    <td style="font-weight: 600; width: 140px; display: <?= ( $transferproperty->owner->type  == 1) ? 'none' : '' ?>">S/O:</td>
                                    <td style="width:240px;display: <?= ( $transferproperty->owner->type  == 1) ? 'none' : '' ?>"> 

                                        <?php if(count($ownerArray) > 1): ?>
                                        <?php echo e($transferproperty->owner->father_name); ?>,  <?php echo e($transferproperty->owner->first_owner_father); ?>, 
                                        <?php echo e($transferproperty->owner->second_owner_father); ?> 
                                        <?php else: ?>
                                        <?php echo e($transferproperty->owner->father_name); ?> 
                                        <?php endif; ?>

                                         </td>
                                </tr>
                                <tr>
                                    <td style="font-weight: 600;">Contact #:</td>
                                    <td> <?php echo e($transferproperty->owner ? $transferproperty->owner->mobile_number : ''); ?> </td>
                                    <td style="font-weight: 600;">Address:</td>
                                    <td> <?php echo e($transferproperty->owner->mailing_address); ?> </td>
                                </tr>
                                <tr>
                                     
                                    <td style="font-weight: 600; width: 140px"><?= ( $transferproperty->owner->type  == 1) ? 'Incorporation no' : 'CNIC No.' ?></td>
                                    <td style="width:240px"> 


                                    <?php if(count($ownerArray) > 1): ?>
                                    <?php echo e(str_replace('_' , ''  , $transferproperty->owner->cnic)); ?>,  <?php echo e($transferproperty->owner->first_owner_cnic); ?>, 
                                    <?php echo e($transferproperty->owner->second_owner_cnic); ?> 
                                    <?php else: ?>
                                    <?php $c = str_split($transferproperty->owner->cnic, 1);?>
                                    <?php 
                                    for($i =0;$i<count($c) ; $i++) 
                                    {
                                    ?>
                                    <?php if(($i == 5 || $i == 12) &&  $transferproperty->owner->type  == 0): ?>
                                    -
                                    <?php endif; ?>
                                    <?= ( $transferproperty->owner->type  == 1) ? str_replace('_' , '' , $c[$i] ) : $c[$i] ?> 
                                    <?php 
                                    }
                                    ?> 
                                    <?php endif; ?>


                                                         
                                       
                                    </td>
                                </tr>
                            </tbody>
                        </table>



                      


                    </div>
                    <div class="clear"></div>
                </div>
              
            </div>
        </div>

            
           
        <div class="col-lg-12"  id="main_unit_details">
            <div class="white-box1">
                <h4 class="box-title " style=" color: white; background-color:#1c3752;line-height: 30px">&nbsp;&nbsp;Unit's Details</h4>
                <div class="col-md-4 col-xs-6">
                    <div class="table-responsive" >
                    <table class="table bottom-table" >

                        <tbody>
                            <tr>
                                <td style="font-weight: 600;">Floor / Street:</td>
                                <td><?php echo e($data['floor_street']); ?> </td>
                            </tr>

                            <tr>
                                <td style="font-weight: 600;">Block:</td>
                                 <td><?php echo e($data['block']); ?> </td>
                            </tr>

                            <tr>
                                <td style="font-weight: 600;">Category:</td>
                                <td><?php echo e($data['category']); ?></td>
                            </tr>
                            <tr>
                                <td style="font-weight: 600;">Size:</td>
                                <td>
                                                    <?php echo e($data['size']); ?>

                                                    </td>

                            </tr>
                            <tr>
                                <td style="font-weight: 600;">Total Price:</td>
                                <td><?php echo e($data['total_price']); ?></td>
                            </tr>
                            <tr>
                                <td style="font-weight: 600;">Net Amt.:</td>
                                <td> <?php echo e($data['net_amt']); ?> </td>
                            </tr>

                           
                         
                           
                            <tr>
                                <td style="font-weight: 600;">Schedule Start Date:</td>
                                <td> <?php echo e($data['schedule_start_date']); ?> </td>
                            </tr>

                            
                           


                           

                        </tbody>
                    </table>
                </div>
                </div><!-- 
                <div class="col-md-4">&nbsp;</div> -->
                <div class="col-md-4 col-xs-6">
                    <div class="table-responsive" >
                    <table class="table">
                        <tbody>
                            <tr>
                                <td style="font-weight: 600;" >Unit/Plot No.:</td>
                                <td><?php echo e($data['unit_plot_no']); ?></td>
                            </tr>
                            <tr>
                                <td style="font-weight: 600;">Unit Type:</td>
                                <td><?php echo e($data['unit_type']); ?></td>
                            </tr>
                            <tr>
                                <td style="font-weight: 600;">Area:</td>
                                <td><?php echo e($data['area']); ?></td>
                            </tr>
                            <tr>
                                <td style="font-weight: 600;">Discount:</td>
                                <td> <?php echo e($data['discount']); ?> </td>
                            </tr>
                            <tr>
                                <td style="font-weight: 600;">Category Cost:</td>
                                <td> <?php echo e($data['category_cost']); ?> </td>
                            </tr>
                            <tr>
                                <td style="font-weight: 600;">Booking Type:</td>
                                <td> <?php echo e($data['booking_type']); ?> </td>
                            </tr>
                            
                            <tr>
                                <td style="font-weight: 600;">Booking Date:</td>
                                <td> <?php echo e($data['booking_date']); ?> </td>
                            </tr>

                        </tbody>
                    </table>
                </div>
                </div>
                
                
                <div class="clear"></div>
            </div>
        </div>
         


        
        
        
        
        

         <div class="col-lg-12" id="payment_div">
            <div class="white-box1 ">
                <h4 class="box-title " style=" color: white; background-color:#1c3752; line-height: 30px">&nbsp;&nbsp;Payment Detail</h4>
                 
                <div class="col-md-12 col-xs-12">
                    <div class="table-responsive">
                        <table class="table bottom-table">
                            <tbody class="printFW">
                                
                                <tr>
                                    <td style="font-weight: 600;">Net Price: </td>
                                    <td> <?php echo e($data['net_amt']); ?> </td>


                                    <td style="font-weight: 600;">Received Amount: </td>
                                    <td> <?php echo e(number_format($amount)); ?> &nbsp; &nbsp;(<?php echo e(number_format($receivedAmtPer , 2)); ?> % ) </td>

                                    
                                      <td style="font-weight: 600;">Outstanding Amt: </td>
                                      <td> <?php echo e(number_format($outstandingAmt)); ?>  &nbsp; &nbsp;(<?php echo e(number_format($outstandingAmtPer , 2)); ?> % )</td>

                                </tr>
                              

                                <tr>

                                  

                                    <td style="font-weight: 600;">PDC.</td>
                                    <td> <?php echo e(number_format($pdc_receipt)); ?> &nbsp; &nbsp;(<?php echo e(number_format($pdcReceiptPer , 2)); ?> % )</td>

                                    <td style="font-weight: 600;">Paid Surcharge</td>
                                    <td> <?php echo e(number_format($paidSurcharge)); ?> </td>

                                </tr>
                                

                            </tbody>
                        </table>
                    </div>
                    <div class="clear"></div>
                </div>
                
            </div>
        </div>

        






        <div class="col-lg-12">
            <div class="white-box1">
                <div class="table-responsive" style="clear: both;">
                    <table  class="table table-bordered">
                        <thead class="bg-color">
                            <tr style="text-align: center">
                                <th style="color: #fff;font-size: 13px;">Payment Head</th>
                                <th style="color: #fff;font-size: 13px;">Due Date</th>
                                <th style="color: #fff;font-size: 13px;">Due Amt.</th>
                                <th style="color: #fff;font-size: 13px;">Received Amt.</th>
                                <th class="no-print" style="color: #fff;font-size: 13px;">Balance</th>
                                <th style="color: #fff;font-size: 13px;">Payment Mode</th>
                                <!-- <th class="no-print">Detail</th> -->
                                <th style="color: #fff;font-size: 13px;">Receipt #</th>
                                <!-- <th>Ref#</th> -->
                                <th style="color: #fff;font-size: 13px;">Receipt Date</th>

                                <th style="color: #fff;font-size: 13px;">Surcharge Amt</th>
                                <th style="color: #fff;font-size: 13px;">Balance Amt.</th>
                                <!-- <th>Net Amt</th> -->
                            </tr>
                        </thead>
                        <tbody>
                            <?php $due = 0;
                            $received = 0;
                            $balance = 0;
                            $surcharge = 0;
                            $net_payable = 0;
                            $count = 1;
                            $total = $property->net_pay;
                             $otherArray = [];
                            ?>

                            <?php $__currentLoopData = $periorities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $periority): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                            <?php $__currentLoopData = $transferproperty->transferhistory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                            <?php if($statement->due > 0 && ($statement->payment_head == $periority->payment_head ) || ($statement->payment_head == \App\CustomerStatement::other && !in_array($statement->payment_head , $otherArray))): ?>

                                <?php
                            
                            if($statement->payment_head == \App\CustomerStatement::other)
                            {
                              $otherArray[] = $statement->payment_head;
                            }
                          
                            ?>
                            
                            <?php if($statement->balance > 0 && $statement->due_date < Carbon\Carbon::today()): ?>
                                <tr style="background-color: #e8e3c1;">
                            <?php else: ?>
                                <tr>
                            <?php endif; ?>

                            
                            <?php if($statement->payment_head == \App\CustomerStatement::down_payment): ?>
                            <td class="printFV">
                                
                                <?php if( $property->booking_type == \App\CustomerProperty::full_payment): ?>
                                 <?php echo e('Full Payment'); ?>

                                 <?php else: ?>
                                 <?php echo e('Down Payment'); ?>

                                <?php endif; ?>
                            </td>
                            <?php elseif($statement->payment_head == \App\CustomerStatement::possession): ?>
                            <td class="printFV">Possession Fee</td>
                            <?php elseif($statement->payment_head == \App\CustomerStatement::installment): ?>
                            <td class="printFV">
                                <?php if(!str_contains($statement->inst_no , '-b')): ?> 
                                    Installment - <?php echo e(str_replace('-a' , '' ,  $statement->inst_no)); ?>

                                    <?php else: ?>
                                   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Installment
                                <?php endif; ?>
                            </td>
                            <?php elseif($statement->payment_head == \App\CustomerStatement::other): ?>
                            <td class="printFV">Other</td>
                            <?php elseif($statement->payment_head == \App\CustomerStatement::allotment): ?>
                            <td class="printFV">Allotment</td>
                            <?php elseif($statement->payment_head == \App\CustomerStatement::confirmation): ?>
                            <td class="printFV">Confirmation</td>
                            <?php elseif($statement->payment_head == \App\CustomerStatement::booking): ?>
                            <td class="printFV">Booking</td>
                            <?php elseif($statement->payment_head == \App\CustomerStatement::development): ?>
                            <td class="printFV">Development</td>
                            <?php elseif($statement->payment_head == \App\CustomerStatement::file_processing): ?>
                            <td class="printFV">File Processing</td>
                            <?php elseif($statement->payment_head == \App\CustomerStatement::registration): ?>
                            <td class="printFV">Registration</td>
                            <?php else: ?>
                            <td class="printFV"></td>
                            <?php endif; ?>

                                <!-- <td class="printFV"><?php echo e($statement->inst_no); ?></td> -->
                                <td class="printFV">
                                    <?php echo e(date('d-m-Y', strtotime($statement->due_date))); ?>


                                    <!-- <?php if($statement->payment_head == \App\CustomerStatement::possession): ?> 
                                    <a href="JavaScript:void(0)" onclick="return changePossessionDate('<?php echo e($statement->id); ?>' , '<?php echo e(date('Y-m-d', strtotime($statement->due_date))); ?>');"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                                     <?php endif; ?> -->
                                     </td>
                                <td class="printFV text-right"><?php echo e(number_format($statement->due)); ?></td><?php $due += $statement->due; ?>
                                <td class="printFV text-right">
                                    <?php if($statement->is_deleted == false): ?><?php echo e(number_format($statement->received)); ?><?php $received += $statement->received; ?>
                                <?php else: ?> 
                                0
                                <?php endif; ?>
                            </td>
                             <td class="printFV no-print text-right">
                                    <?php if($statement->is_deleted == false): ?><?php echo e(number_format($statement->balance)); ?>

                                    <?php else: ?>
                                    <?php echo e(number_format($statement->due)); ?>

                                <?php endif; ?>
                            </td>

                                <?php if($statement->is_deleted == false): ?>

                                <?php if($statement->receipt): ?>

                                <?php if($statement->receipt->payment_method == \App\Receipt::cash): ?>
                                <td>Cash</td>
                                <?php elseif($statement->receipt->payment_method == \App\Receipt::bank): ?>
                                <td>Bank</td>
                                <?php elseif($statement->receipt->payment_method == \App\Receipt::adjustment): ?>
                                <td>Adjustment</td>
                                <?php elseif($statement->receipt->payment_method == \App\Receipt::cheque): ?>
                                <td>Cheque</td>
                                <?php elseif($statement->receipt->payment_method == \App\Receipt::merging): ?>
                                <td>Merging</td>
                                <?php else: ?>
                                <td></td>
                                <?php endif; ?>
                                    
                                <?php else: ?>
                                <td></td>
                                <?php endif; ?>
                                <?php else: ?>
                                <td></td>
                                <?php endif; ?>


                            
                                <td class="printFV"><?php if($statement->is_deleted == false): ?> <?php echo e($statement->rcpt_no); ?> <?php endif; ?></td>
                                <!-- <td class="printFV"> <?php echo e($statement->ref_no); ?> </td> -->
                                <td class="printFV text-right"><?php if($statement->is_deleted == false): ?>  <?php echo e($statement->rcpt_date ? date('d-m-Y', strtotime($statement->rcpt_date)) : ''); ?> <?php endif; ?></td>


                                <td class="printFV text-right"><?php echo e(number_format($statement->surcharge)); ?>

                                    <?php $surcharge += $statement->surcharge; 
                                ?></td>

                                <?php if($statement->is_deleted == false): ?>
                                <?php if($statement->received): ?>
                                <?php $total -=$statement->received;?>
                                <td class="printFV text-right"> <?php echo e(number_format($total)); ?></td>
                                <?php else: ?>
                                <td class="printFV"></td>
                                <?php endif; ?>
                                <?php else: ?>
                                <td class="printFV"></td>
                                <?php endif; ?>
                                <!-- <?php $balance += $statement->balance; ?>-->


                                

                                
                            </tr>
                            <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td colspan="2" class="printFV text-center"><b>Total</b></td>
                                <td class="printFV text-right"><b><?php echo e(number_format($due)); ?></b></td>
                                <td  class="printFV text-right"><b><?php echo e(number_format($received)); ?></b></td>
                                <!-- <td colspan="3"></td> -->
                                <td colspan="5" class="printFV text-right">  Total WaveOff (<?php echo e($waiveOff); ?>) <b><?php echo e(number_format($surcharge - $waiveOff)); ?></b></td>
                                <td  class="printFV text-right"><b><?php echo e(number_format($total)); ?></b></td>

                                
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <br>
        
        </div>


        <?php if($property->booking_type == \App\CustomerProperty::full_payment ): ?>
        
<?php if($property->fullPayment): ?>
        <div class="col-lg-12">
            <div class="white-box">
                <h4 class="box-title">Discount Payment Terms</h4>
                <hr>
                <div class="table-responsive pull-left">
                    <table class="table">
                        <tbody>
                            <tr>
                                <td >Total Amount :</td>
                                <td> <?php echo e(number_format($property->fullPayment->total_amount)); ?> </td>
                            </tr>
                            <tr>
                                <td >
                                Discount Percentage :</td>
                                <td> <?php echo e($property->fullPayment->discount_percentage); ?> %</td>
                            </tr>
                            <tr>
                                <td>Discount Amount</td>
                                <td> <?php echo e(number_format($property->fullPayment->discount_amount)); ?> </td>
                            </tr>
                            <tr>
                                <td>Net Amount</td>
                                <td> <?php echo e(number_format($property->fullPayment->discount_amount - $property->fullPayment->deduction_amount)); ?> </td>
                            </tr>

                        </tbody>
                    </table>
                </div>
                <div class="table-responsive pull-right">
                    <table class="table">
                        <tbody>
                            <tr>
                                <td >Total Tenure : </td>
                                <td><?php echo e($property->fullPayment->total_tenure); ?> months</td>
                            </tr>
                            <tr>
                                <td>Return Tenure :</td>
                                <?php if($property->fullPayment->return_tenure == \App\CustomerProperty::monthly): ?>
                                <td> Monthly </td>
                                <?php elseif($property->fullPayment->return_tenure == \App\CustomerProperty::quarterly): ?>
                                <td> Quarterly </td>
                                <?php elseif($property->fullPayment->return_tenure == \App\CustomerProperty::semi_annually): ?>
                                <td> Semi Annually </td>
                                <?php elseif($property->fullPayment->return_tenure == \App\CustomerProperty::annually): ?>
                                <td> Annually </td>
                                <?php else: ?>
                                <td></td>
                                <?php endif; ?>
                            </tr>
                            <tr>
                                <td>Deduction Amount : </td>
                                <td> <?php echo e(number_format($property->fullPayment->deduction_amount)); ?> </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="clear"></div>
            </div>
        </div>

        <div class="col-lg-12">
            <div class="white-box">
                <div class="table-responsive" style="clear: both;">
                    <table  class="table table-bordered printFW1">
                        <thead class="printFH11">
                            <tr>
                                <th style="color: #fff;font-size: 13px;">inst #</th>
                                <th style="color: #fff;font-size: 13px;">Due Date</th>
                                <th style="color: #fff;font-size: 13px;">Due Amount</th>

                                <th style="color: #fff;font-size: 13px;">Paid Amount</th>
                                <th style="color: #fff;font-size: 13px;">Receipt #</th>
                                <th style="color: #fff;font-size: 13px;">Receipt Date</th>
                                <th style="color: #fff;font-size: 13px;">Balance Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $due = 0;
                            $received = 0;
                            $balance = 0;
                            $count = 1; ?>
                            <?php $__currentLoopData = $property->fullPaymentStatement; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="printFV"><?php echo e($count++); ?></td>
                                <td class="printFV"><?php echo e(date('d-m-Y', strtotime($statement->due_date))); ?></td>
                                <td class="printFV text-right"><?php echo e(number_format($statement->due)); ?></td><?php $due += $statement->due; ?>
                                <td class="printFV text-right"><?php echo e(number_format($statement->received)); ?></td><?php $received += $statement->received; ?>
                                <td class="printFV"> <?php echo e($statement->receipt_no); ?> </td>
                                <td class="printFV"> <?php echo e($statement->receipt_date ? date('d-m-Y', strtotime($statement->receipt_date)) : ''); ?> </td>
                                <td class="printFV text-right"><?php echo e(number_format($statement->due - $statement->received)); ?></td>
                                <?php $balance += ($statement->due - $statement->received); ?>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td colspan="2"><b>Total</b></td>
                                <td class="text-right"><b><?php echo e(number_format($due)); ?></b></td>
                                <td class="text-right"><b><?php echo e(number_format($received)); ?></b></td>
                                <td></td>
                                <td></td>
                                <td class="text-right"><b><?php echo e(number_format($balance)); ?></b></td>
                            </tr>

                        </tbody>
                    </table>
                    
                </div>
            </div>
        </div>
        <?php endif; ?>

        <?php endif; ?>



        <?php if($taxs): ?>

        <div class="col-lg-10 no-print">
            <div class="white-box">
                <h4 class="box-title">Property Tax Record</h4>
                <div class="table-responsive" style="clear: both;">
                    <table  class="table table-bordered printFW1">
                        <thead class="printFH11">
                            <tr>
                                <th style="color: #fff;font-size: 13px;">Sr #</th>
                                <th style="color: #fff;font-size: 13px;">inst #</th>
                                <th style="color: #fff;font-size: 13px;">Tax</th>
                             
                                <th style="color: #fff;font-size: 13px;">Pay By</th>
                                <th style="color: #fff;font-size: 13px;">Payment Received</th>
                            
                                <th style="color: #fff;font-size: 13px;">Status</th>
                                <th style="color: #fff;font-size: 16px;">CPR</th>
                              
                            </tr>
                        </thead>
                        <tbody>
                            <?php $sr =1;$sum =0;?>
                            <?php $__currentLoopData = $taxs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tax): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                             
                            <tr>
                            <td class="printFV"><?php echo e($sr++); ?></td>
                            <?php if($tax->statement->payment_head == \App\CustomerStatement::down_payment): ?>
                            <td class="printFV">Down Payment</td>
                            <?php elseif($tax->statement->payment_head == \App\CustomerStatement::possession): ?>
                            <td class="printFV">Possession Fee</td>
                            <?php elseif($tax->statement->payment_head == \App\CustomerStatement::installment): ?>
                            <td class="printFV">Installment - <?php echo e($tax->statement->inst_no); ?></td>
                            <?php elseif($tax->statement->payment_head == \App\CustomerStatement::other): ?>
                            <td class="printFV">Other</td>
                            <?php elseif($tax->statement->payment_head == \App\CustomerStatement::allotment): ?>
                            <td class="printFV">Allotment</td>
                            <?php elseif($tax->statement->payment_head == \App\CustomerStatement::confirmation): ?>
                            <td class="printFV">Confirmation</td>
                            <?php elseif($tax->statement->payment_head == \App\CustomerStatement::booking): ?>
                            <td class="printFV">Booking</td>
                            <?php elseif($tax->statement->payment_head == \App\CustomerStatement::development): ?>
                            <td class="printFV">Development</td>
                            <?php elseif($tax->statement->payment_head == \App\CustomerStatement::file_processing): ?>
                            <td class="printFV">File Processing</td>
                            <?php elseif($tax->statement->payment_head == \App\CustomerStatement::registration): ?>
                            <td class="printFV">Registration</td>
                            <?php else: ?>
                            <td class="printFV"></td>
                            <?php endif; ?>
                            <td class="printFV text-right">
                                <?php echo e(number_format($tax->tax)); ?>

                            </td>
                                <?php $sum += $tax->tax; ?>

                                <td class="printFV text-right"><?php if($tax->tax_pay_by == \App\Receipt::customer): ?>
                                Customer
                                <?php else: ?>
                                Company
                                <?php endif; ?>
                                </td>

                                <td class="printFV text-right">
                                    <?php echo e($tax->tax_payment_received == \App\CustomerPropertyTax::paid ? 'YES' : 'NO'); ?>

                                </td>

                                <td class="printFV text-right">
                                    <?php echo e($tax->status == \App\CustomerPropertyTax::paid ? 'Paid' : 'UnPaid'); ?>

                                    <?php if($tax->status): ?>
                                <br>
                                <b>Reference # </b> 
                                <?php echo e($tax->reference); ?>

                                <?php endif; ?>
                                </td>

                            <td>
                            <?php if($tax->cpr): ?>
                            <a target="_blank" style="color:blue;text-decoration: underline;font-size: 11px" href="<?php echo e(asset('uploads/'.$tax->cpr)); ?>" download=""> <i class="fa fa-download" style="text-transform: none;">&nbsp;</i>Download</a>
                            <?php endif; ?>
                            </td>

                           
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td colspan="2"><b>Total</b></td>
                                <td class="text-right"><b><?php echo e(number_format($sum)); ?></b></td>
                                
                            </tr>

                        </tbody>
                    </table>
                    
                </div>
            </div>
        </div>
    <?php endif; ?>

<div class="modal fade" id="taxReceiptModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">

<div class="modal-dialog modal-lg" role="document">
<div class="modal-content">
<div class="modal-header" style="text-align: center;">
<h5 class="modal-title" id="exampleModalLabel" >Tax Receipt</h5>
<button type="button" class="close" data-dismiss="modal" aria-label="Close">
<span aria-hidden="true">&times;</span>
</button>
</div>

<div class="modal-body" style="height: 250px;">

    <div class="alert alert-danger" role="alert" style="display:none;" id="fields_error">
  All fields with * is required.
</div>


</div>

</div>
</div>

</div>




<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">

<div class="modal-dialog" role="document">
<div class="modal-content">
<div class="modal-header" style="text-align: center;">
<h5 class="modal-title" id="exampleModalLabel" >Tax CPR</h5>
<button type="button" class="close" data-dismiss="modal" aria-label="Close">
<span aria-hidden="true">&times;</span>
</button>
</div>
 
</div>
</div>

</div>

        
        

    </div>
    <div style="display: inline-block;    margin-bottom: 70px;">
       

  

     <div class="text-right" style="display: inline-block;">
       <button  class="btn btn-default btn-outline no-print" onclick="return print_whole_statement()" type="button"> <span><i class="fa fa-print"></i> Print</span> </button>
    </div>
    
     <div class="text-right" style="display: inline-block;">
       <button  class="btn btn-default btn-outline no-print" onclick="return  print_summery()" type="button"> <span><i class="fa fa-print"></i> Print Summary</span> </button>
    </div>
    
</div>
</div>
<!-- /.container-fluid -->

<!-- Modal -->
<div class="modal fade" id="possession_modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Update Possession Date</h4>
      </div>
      
      </div>
    </div>
  </div>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script src="<?php echo e(asset('js/jspdf.min.js')); ?>" type="text/JavaScript"></script>
<script src="<?php echo e(asset('js/jquery.PrintArea.js')); ?>" type="text/JavaScript"></script>


<script>


    window.setInterval(function(){
  $('#text_detail').html('Member Information')
        $('#main_unit_details').show();
        $('#summary_customer_info').hide();
        $('#main_customer_info').show();
}, 1000);
    
function print_summery()
{
    $('#text_detail').html("Unit's Details")
    $('#payment_div').addClass("no-print");
    $('#summary_customer_info').show();
    $('#main_customer_info').hide();
    $('#main_unit_details').hide();
    $('.block_id').hide();
    $('.Category').hide();
    $('.net_amount').hide();
    $('.area').hide();
    $('.discount').hide();
    $('.category_cost').hide();
    window.print();
    return false;
}

function print_whole_statement()
{
    $('#text_detail').html('Member Information')
    $('#payment_div').removeClass("no-print");
    $('#summary_customer_info').hide();
    $('#main_customer_info').show();
    $('#main_unit_details').show();
    window.print();
    return false;
}


function checkValue(self) 
{
    if ($('#payment_method').val() != '<?php echo e(\App\Receipt::cash); ?>' && ($('#bank_name').val() == '' || $('#company_account').val() == '' || $('#drawnDate').val() == '' || $('#checkNumber').val() == '')) 
    {
            $('#fields_error').show('slow')
            return false;
    }
    else
    {
         return true;
    }
}

      function changeFunc(a){
    if(a == <?php echo e(\App\Receipt::cash); ?>)
    {
      $('#bank').css('display', 'none');
      $('#company-bank').css('display', 'none');
      $('#cheque').css('display', 'none');
      $('#adjustment').css('display', 'none');
      $('#cheque-dd-po-drawn-date').css('display', 'none');
      $('#cheque-dd-po-instrument-no').css('display', 'none');
      $('#drawnDate').val('')
      $('#checkNumber').val('')
    }
    else if(a == <?php echo e(\App\Receipt::bank); ?>)
    {
      $('#bank').css('display', 'block');
        $('#company-bank').css('display', 'block');
        $('#cheque').css('display', 'none');
        $('#adjustment').css('display', 'none');
        $('#cheque-dd-po-drawn-date').css('display', 'block');
        $('#cheque-dd-po-instrument-no').css('display', 'block');
    }
    else if(a == <?php echo e(\App\Receipt::cheque); ?>)
    {
        $('#bank').css('display', 'block');
        $('#company-bank').css('display', 'block');
        $('#cheque').css('display', 'none');
        $('#adjustment').css('display', 'none');
        $('#cheque-dd-po-drawn-date').css('display', 'block');
        $('#cheque-dd-po-instrument-no').css('display', 'block');
      
    }
   
  }



    function showDealerDiv() 
    {
        $("#data_div").toggle('slow');
    }

    function openTaxReceiptModal(self,tax_id , tax_amount , receipt_no , payment_head ) 
    {
       
        $('#tax_receipt_id').val(tax_id);

        $('#tax_amount').val(tax_amount);

        $('#receipt_no').val(receipt_no);

        $('#payment_head').val(payment_head);

        $('#inst_no').val($(self).data("instal-no"));

        $('#taxReceiptModal').modal();
    }

    function openTaxModal(tax_id) {

        $('#tax_id').val(tax_id);
        
        $('#exampleModal').modal();
        
    }

    function UpdatePossessionDate(self) {
        
        $('#possession_modal_btn').html('Processing...');
         $('#possession_modal_btn').prop('disabled' , true);

        var payment_head_id = $('#payment_head_id').val();
        var possession_date = $('#new_possession_date').val();
  $.ajaxSetup({
        headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
        });

   $.ajax({
        url:"<?php echo e(route('payment.head.update')); ?>",
        method:'POST',
        data: {payment_head_id:payment_head_id , possession_date:possession_date },
        success:function(data)
        {
           if(data == '1')
           {
               $('#success_message').show();
               location.reload(true)
           }
           else if (data == 'empty')
            {
                $('#possession_modal_btn').html('Save changes');
                $('#possession_modal_btn').prop('disabled' , false);
                $('#error_message').show();
            }
           else
           {
            alert('Something Went wrong!')
            location.reload(true)
           }
        }
        })


        return false;
    }

    function changePossessionDate(id , date) {
        $('#payment_head_id').val(id)
        $('#new_possession_date').val(date);
        $('#possession_modal').modal('show')
    }
$(function () {
    $("#print").on("click", function () {
        var mode = 'iframe'; //popup
        var close = mode == "popup";
        var options = {
            mode: mode,
            popClose: close
        };
        $("div.printableArea").printArea(options);
    });
});
</script>
<script>
    $('#example23').DataTable({
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
    });
</script>
<script>
var doc = new jsPDF();
var specialElementHandlers = {
    '#editor': function (element, renderer) {
        return true;
    }
};

//margins.left, // x coord   margins.top, { // y coord
$('#generatePDF').click(function () {
    doc.fromHTML($('#htmlContent').html(), 15, 15, {
        'width': 700,
        'elementHandlers': specialElementHandlers
    });
    doc.save('sample_file.pdf');
});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/customer/transfer-history.blade.php ENDPATH**/ ?>