

<?php $__env->startSection('title'); ?>
    Edit Schedule Plan
<?php $__env->stopSection(); ?>
<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Edit Schedule Plan</li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>

    <style>
        .chosen-container.chosen-container-single {
            width: 100px !important;
        }
        .newclass {
    text-align: center;
    position: relative;
    right: 115px;
}
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <!--.row-->
        <div class="row">

            <div class="col-md-12">
                <div class="white-box">
                    <h3 class="box-title m-b-0"><i class="icon-settings fa-fw"></i> Edit Schedule Plan</h3>
                    <p class="text-muted m-b-30 font-13"> Update the information </p>
                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>

                    <form class="form-horizontal" action="<?php echo e(route('schedule.update')); ?>" method="post" autocomplete="off"
                        onsubmit="return validatePossessionDate(this)">
                        <input type="hidden" name="id" value="<?php echo e($plan->id); ?>">

                        <?php echo e(csrf_field()); ?>




                        <div class="col-md-12">

                            <div class="row">
                                <div class="col-sm-3">
                                    <div class="form-group">

                                        <div class="col-sm-12">

                                            <label for="inputPassword3" class=" control-label">Schedule Name <span
                                                    style="color: red">*</span></label>

                                            <div class="input-group" style="width:100%">
                                                <input type="text" class="form-control" name="name"
                                                      id="exampleInputuname"
                                                    placeholder="Schedule Name" value="<?php echo e($plan->name); ?>">

                                                <?php if($errors->has('name')): ?>
                                                    <span class="help-block" id="name-label">
                                                    <strong><?php echo e($errors->first('name')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">

                                        <div class="col-sm-12">

                                            <label for="inputPassword3" class=" control-label">Total Months <span
                                                    style="color: red">*</span></label>

                                            <div class="input-group" style="width:100%">
                                                <input type="number" class="form-control" name="total_months"
                                                    value="<?php echo e($plan->total_months); ?>" id="exampleInputuname"
                                                    placeholder="Total Months">

                                                <?php if($errors->has('total_months')): ?>
                                                    <span class="help-block" id="total-months-label">
                                                    <strong><?php echo e($errors->first('total_months')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>




                                <div class="col-sm-3">
                                    <div class="form-group">

                                        <div class="col-sm-12">

                                            <label for="inputPassword3" class=" control-label">Late Fine Percentage <span
                                                    style="color: red">*</span></label>

                                            <div class="input-group" style="width:100%">
                                                <input type="float" class="form-control" name="fine"
                                                    value="<?php echo e($plan->fine); ?>" id="exampleInputuname"
                                                    placeholder="Late Fine Percentage">

                                                <?php if($errors->has('fine')): ?>
                                                    <span class="help-block" id="fine-label">
                                                        <strong><?php echo e($errors->first('fine')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group">

                                        <div class="col-sm-12">

                                            <label for="inputPassword3" class=" control-label">Days After Late Fine Added <span
                                                    style="color: red">*</span></label>

                                            <div class="input-group" style="width:100%">
                                                <input type="float" class="form-control" name="days_after_fine_added"
                                                    value="<?php echo e($plan->days_after_fine_added); ?>" id="exampleInputuname"
                                                    placeholder="Days After Late Fine Added">

                                                <?php if($errors->has('days_after_fine_added')): ?>
                                                    <span class="help-block" id="fine-label">
                                                        <strong><?php echo e($errors->first('days_after_fine_added')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>



                                <div class="col-sm-3">
                                    <div class="form-group">

                                        <div class="col-sm-12">

                                            <label for="inputPassword3" class="control-label">Possession date </label>

                                            <div class="input-group" style="width:100%">
                                                <input type="date" min="<?php echo e(date('Y-m-d')); ?>" class="form-control"
                                                    name="possession_date" value="<?php echo e($plan->possession_date); ?>"
                                                    id="possession_date">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="col-md-12">
                            <hr>
                        </div>

                        <div class="col-md-12">

                            <div class="row">


                                <div class="col-sm-6">

                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | Down Payment
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">

                                                <div class="input-group-addon" style="padding: 0;">

                                                    <select class='form-control select-options' name="down_payment_priority"
                                                        id='down_payment_priority' style="width:10rem">


                                                        <option value="<?php echo e($down_payment_priority); ?>" selected>
                                                            <?php echo e($down_payment_priority); ?></option>

                                                    </select>
                                                </div>


                                                <input type="number" step="any" style="margin-top: 0.5%;"
                                                    class="form-control" name="down_payment"
                                                    value="<?php echo e($plan->down_payment); ?>" id="exampleInputuname"
                                                    placeholder="Enter Down payment %" min="1" max="100">



                                                <?php if($errors->has('down_payment')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('down_payment')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>


                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | Installment
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">

                                                <div class="input-group-addon" style="padding: 0;">
                                                    
                                                    <select class='form-control select-options'
                                                        name="installment_priority" id='installment_priority'
                                                        style="width:10rem">
                                                        <option value='<?php echo e($installment_priority); ?>' selected>
                                                            <?php echo e($installment_priority); ?></option>



                                                    </select>
                                                </div>

                                                <input type="number" step="any" style="margin-top: 0.5%"
                                                    class="form-control" name="monthly_installment"
                                                    value="<?php echo e($plan->monthly_installment); ?>" id="exampleInputuname"
                                                    placeholder="Installment %" min="1" max="100">

                                                <?php if($errors->has('monthly_installment')): ?>
                                                    <span class="help-block" id='installment-label'>
                                                        <strong><?php echo e($errors->first('monthly_installment')); ?></strong>
                                                    </span>
                                                <?php endif; ?>

                                            </div>
                                        </div>
                                    </div>
                                </div>





                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | Possession
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">

                                                <div class="input-group-addon" style="padding: 0;">
                                                    

                                                    <select class='form-control select-options' name="possession_priority"
                                                        id='possession_priority' style="width:10rem">
                                                        <option value='<?php echo e($possession_priority); ?>' selected>
                                                            <?php echo e($possession_priority); ?></option>



                                                    </select>
                                                </div>

                                                <input type="number" step="any" style="margin-top:0.5%"
                                                    class="form-control" name="possession"
                                                    value="<?php echo e($plan->possession); ?>" id="exampleInputuname"
                                                    placeholder="Enter Possession %" min="0" max="100">

                                                <?php if($errors->has('possession')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('possession')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                                <div class="col-sm-6">

                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | Allotment
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">

                                                <div class="input-group-addon" style="padding: 0;">
                                                    

                                                    <select class='form-control select-options' name="allotment_priority"
                                                        id='allotment_priority' style="width:10rem">
                                                        <option value='<?php echo e($allotment_priority); ?>' selected>
                                                            <?php echo e($allotment_priority); ?></option>



                                                    </select>
                                                </div>

                                                <input type="number" step="any" style="margin-top:0.5%"
                                                    class="form-control" name="allotment" value="<?php echo e($plan->allotment); ?>"
                                                    id="exampleInputuname" placeholder="Enter Allotment %" min="0"
                                                    max="100">

                                                <?php if($errors->has('allotment')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('allotment')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>


                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | Confirmation
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">
                                                <div class="input-group-addon" style="padding: 0;">
                                                    

                                                    <select class='form-control select-options'
                                                        name="confirmation_priority" id='confirmation_priority'
                                                        style="width:10rem">

                                                        <option value='<?php echo e($confirmation_priority); ?>' selected>
                                                            <?php echo e($confirmation_priority); ?></option>


                                                    </select>
                                                </div>
                                                <input type="number" step="any" style="margin-top:0.5%"
                                                    class="form-control" name="confirmation"
                                                    value="<?php echo e($plan->confirmation); ?>" id="exampleInputuname"
                                                    placeholder="Enter confirmation %" min="0" max="100">

                                                <?php if($errors->has('confirmation')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('confirmation')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>



                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | Booking
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">

                                                <div class="input-group-addon" style="padding: 0;">
                                                    

                                                    <select class='form-control select-options' name="booking_priority"
                                                        id='booking_priority' style="width:10rem">
                                                        <option value='<?php echo e($booking_priority); ?>' selected>
                                                            <?php echo e($booking_priority); ?></option>



                                                    </select>
                                                </div>

                                                <input type="number" step="any" style="margin-top: 0.5%"
                                                    class="form-control" name="booking" value="<?php echo e($plan->booking); ?>"
                                                    id="exampleInputuname" placeholder="Enter booking %" min="0"
                                                    max="100">

                                                <?php if($errors->has('booking')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('booking')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>




                              



                                <div class="col-sm-6">

                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | File
                                            Processing <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">

                                                <div class="input-group-addon" style="padding: 0;">
                                                    

                                                    <select class='form-control select-options'
                                                        name="file_processing_priority" id='file_processing_priority'
                                                        style="width:10rem">

                                                        <option value='<?php echo e($file_processing_priority); ?>' selected>
                                                            <?php echo e($file_processing_priority); ?></option>


                                                    </select>
                                                </div>

                                                <input type="number" step="any" style="margin-top:0.5%"
                                                    class="form-control" name="file_processing"
                                                    value="<?php echo e($plan->file_processing); ?>" id="exampleInputuname"
                                                    placeholder="Enter file processing %" min="0" max="100">

                                                <?php if($errors->has('file_processing')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('file_processing')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | Registration
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">

                                                <div class="input-group-addon" style="padding: 0;">
                                                    

                                                    <select class='form-control select-options'
                                                        name="registration_priority" id='registration_priority'
                                                        style="width:10rem">

                                                        <option value='<?php echo e($registration_priority); ?>' selected>
                                                            <?php echo e($registration_priority); ?></option>

                                                    </select>
                                                </div>

                                                <input type="number" step="any" style="margin-top:0.5%"
                                                    class="form-control" name="registration"
                                                    value="<?php echo e($plan->registration); ?>" id="exampleInputuname"
                                                    placeholder="Enter Registration %" min="0" max="100">

                                                <?php if($errors->has('registration')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('registration')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | Ballon
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">

                                                <div class="input-group-addon" style="padding: 0;">


                                                    <select class='form-control select-options' name="ballon_priority"
                                                        id='ballon_priority' style='width:100px;'>
                                                        <option value='<?php echo e($ballon_priority); ?>' selected>
                                                            <?php echo e($ballon_priority); ?></option>



                                                    </select>
                                                </div>

                                                <input type="number" step="any" style="margin-top:0.5%"
                                                    class="form-control" name="ballon" value="<?php echo e($plan->ballon); ?>"
                                                    id="exampleInputuname" placeholder="Enter Ballon %" min="0"
                                                    max="100">

                                                <?php if($errors->has('ballon')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('ballon')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                                <div class="col-sm-6" style="height: 50px;">
                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-5 control-label">Priority | Balloting
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-7">
                                            <div class="input-group" style="width:100%">
                                            
                                                <div class="newclass" style="padding: 0;">
                                                    

                                                    <select class='form-control select-options' name="bulleting_priority"
                                                        id='bulleting_priority' style='width:10rem;'>
                                                        <option value='<?php echo e($bulleting_priority); ?>' selected>
                                                            <?php echo e($bulleting_priority); ?></option>



                                                    </select>
                                                </div>

                                                <input type="number" step="any" style="margin-top:0.5%; margin-left:100px; margin-top: -38px; width: 70%;"
                                                    class="form-control" name="balloting" value="<?php echo e($plan->bulleting); ?>"
                                                    id="bulleting" placeholder="Enter Balloting %" min="0"
                                                    max="100">

                                                <?php if($errors->has('bulleting')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('bulleting')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-7" style="margin-left: 15px;">
                                    <div class="form-group">
                                        <label for="inputPassword3" class="col-sm-4 control-label">Priority | Semi Annual Installment
                                            <span style="color: red">*</span></label>
                                        <div class="col-sm-6" >
                                            <div class="input-group" >

                                                <div class="input-group-addon" style="padding: 0;">


                                                    <select class='form-control select-options'
                                                        name="semi_annual_priority" id='semi_annual_priority'
                                                        style='width:10rem;'>
                                                        <option value='<?php echo e($semi_annual_installment_priority); ?>' selected>
                                                            <?php echo e($semi_annual_installment_priority); ?></option>



                                                    </select>
                                                </div>

                                                <input type="number" step="any" style="margin-top:0.5%"
                                                    class="form-control" name="semi_annual"
                                                    value="<?php echo e($plan->semi_installment); ?>" id="semi_annual"
                                                    placeholder="Enter Semi Annual Installment %" min="0"
                                                    max="100">

                                                <?php if($errors->has('semi_annual')): ?>
                                                    <span class="help-block">
                                                        <strong><?php echo e($errors->first('semi_annual')); ?></strong>
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>



                        <div class="form-group m-b-0">
                            <div class="col-sm-offset-4 col-sm-8">
                                <button type="submit" class="btn btn-info waves-effect waves-light m-t-10" style="margin-left: 20%; width: 20%;">Save</button>
                            </div>
                        </div>


                    </form>
                </div>
            </div>
        </div>
        <!--./row-->
    </div>
    <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <script type="text/javascript">
        function validatePossessionDate(self) {
            var selectedPossessionDate = formatDate($('#possession_date').val());
            var curentPossessionDate = formatDate('<?php echo e($plan->possession_date); ?>');

            if (selectedPossessionDate != curentPossessionDate) {
                if (confirm(
                        'Are You Sure you want to change your possession date? It will effect all previous possession dates.'
                    )) {
                    return true;
                } else {
                    return false;
                }
            } else {
                return true;
            }

            return false;
        }

        function formatDate(date) {
            var d = new Date(date),
                month = '' + (d.getMonth() + 1),
                day = '' + d.getDate(),
                year = d.getFullYear();

            if (month.length < 2)
                month = '0' + month;
            if (day.length < 2)
                day = '0' + day;

            return [year, month, day].join('-');
        }
        var disabledOptions = [];

        function totalPriority(id) {

            value = $('#' + id).find(":selected").val();

            for (var i = 0; i <= <?php echo e(\App\Receipt::total_payment_head); ?>; i++) {
                if (value != i) {
                    $('#' + id).append(`<option value='` + i + `'>` + i + `</option>`);
                } else if (value == i) {
                    // $('.select-options').not().find('option[value="' + selectedOption + '"]').prop('disabled', true);
                    $('.select-options').each(function() {

                        if (this.id != id) {
                            if (value != '0') {
                                $(this).find('option').prop('disabled', false);
                                $(this).find('option[value="' + value + '"]').prop('disabled', true);


                            }
                        }
                    });
                    if (value != '0') {
                        disabledOptions.push(value);
                    }



                    $('.select-options').each(function() {
                        var selectedOption = $(this).find(':selected').val();
                        if (disabledOptions.includes(selectedOption)) {
                            $('.select-options').not('#' + this.id).find('option[value="' + selectedOption + '"]')
                                .prop('disabled', true)

                        }
                    });

                }

            }
        }

        // $('.select-options').change(function() {

        //     var selectedOption = $(this).val();

        //     $('.select-options').find('option[value="' + selectedOption + '"]').prop('disabled', false);
        //   });
        $('.select-options').on('change', function() {

            $('.select-options').chosen('destroy');
            var selectedValues = [];
            var currentId = $(this).attr('id');
           
            $('.select-options').each(function() {
                // if (this.id != currentId) {
                var currentSelected = $(this).find(':selected').val();
                if (currentSelected != '' && currentSelected != 0) {
                    console.log('current_selected:',currentSelected);
                    selectedValues.push(currentSelected);
                }
                // }
            });
            // $('.select-options').each(function() {
            //     var selectedOption = $(this).find(':selected').val();
            //     console.log('selected_option',selectedOption);
            //     if (selectedValues.includes(selectedOption)) {
            //         $('.select-options').not('#' + this.id).find('option[value="' + selectedOption + '"]')
            //             .prop('disabled', true)

            //     }
            // });
            $('.select-options').each(function() {
                // if (this.id != currentId) {
                    $(this).find('option').prop('disabled', false);
                    for (var i = 0; i < selectedValues.length; i++) {
                        var selectedOption = $(this).find(':selected').val();
                        if(selectedOption != selectedValues[i]){
                        $(this).find('option[value="' + selectedValues[i] + '"]').prop('disabled', true);
                    }
                }
                // }
            });
          
            // $('.select-options').trigger("chosen:updated");
           $('.select-options').chosen();
        });


        totalPriority('down_payment_priority');
        totalPriority('installment_priority');
        totalPriority('possession_priority');
        totalPriority('allotment_priority');
        totalPriority('confirmation_priority');
        totalPriority('booking_priority');
        // totalPriority('development_priority');
        totalPriority('file_processing_priority');
        totalPriority('registration_priority');

        totalPriority('ballon_priority');
        totalPriority('bulleting_priority');
        totalPriority('semi_annual_priority');





        $('.select-options').chosen();
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/Setting/schedule/edit-plan.blade.php ENDPATH**/ ?>