

<?php $__env->startSection('title'); ?>
    Dealer Vouchers
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Dealer Vouchers</li>
    </ol>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>


    <div class="container-fluid">


        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">

                <div class="white-box">
                    <h3 class="box-title">Dealers</h3>

                    <!-- Nav tabs -->
                    <ul class="nav customtab nav-tabs" role="tablist">

                        <li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab"
                                data-toggle="tab" aria-expanded="true"><span class="visible-xs"><i
                                        class="ti-home"></i></span><span class="hidden-xs">List</span></a></li>
                        <li role="presentation" class=""><a href="#profile1" aria-controls="profile" role="tab"
                                data-toggle="tab" aria-expanded="false"><span class="visible-xs"><i
                                        class="ti-user"></i></span> <span class="hidden-xs">Pending Payments <?php if(count($allRebates) > 0): ?>
                                        <span class="label label-rounded pull-right"
                                            style="line-height: 1.8;    min-width: 0px;font-size: 14px;padding: 0px 8px;background-color: rgb(204 2 2);"><?php echo e(count($allRebates)); ?></span>
                                    <?php endif; ?>
                                </span>
                            </a></li>
                        <li role="presentation" class=""><a href="#pending-rebate-booking" aria-controls="profile"
                                role="tab" data-toggle="tab" aria-expanded="false"><span class="visible-xs"><i
                                        class="ti-user"></i></span> <span class="hidden-xs">Pending Package Rebate Payments
                                    <?php if(count($pendingRebateBookings) > 0): ?>
                                        <span class="label label-rounded pull-right"
                                            style="line-height: 1.8;    min-width: 0px;font-size: 14px;padding: 0px 8px;background-color: rgb(204 2 2);"><?php echo e(count($pendingRebateBookings)); ?></span>
                                    <?php endif; ?>
                                </span>
                            </a></li>
                        <li role="presentation" class=""><a href="#pending-openfile-package" aria-controls="profile"
                                role="tab" data-toggle="tab" aria-expanded="false"><span class="visible-xs"><i
                                        class="ti-user"></i></span> <span class="hidden-xs">Pending Package Receipts
                                    <?php if(count($pendingopenfilepackage) > 0): ?>
                                        <span class="label label-rounded pull-right"
                                            style="line-height: 1.8;    min-width: 0px;font-size: 14px;padding: 0px 8px;background-color: rgb(204 2 2);"><?php echo e(count($pendingopenfilepackage)); ?></span>
                                    <?php endif; ?>
                                </span>
                            </a></li>

                            <li role="presentation" class=""><a href="#pending-cancel-openfile" aria-controls="profile"
                                role="tab" data-toggle="tab" aria-expanded="false"><span class="visible-xs"><i
                                        class="ti-user"></i></span> <span class="hidden-xs">Pending Cancel OpenFile
                                    <?php if(count($cancel_openfile_receipts) > 0): ?>
                                        <span class="label label-rounded pull-right"
                                            style="line-height: 1.8;    min-width: 0px;font-size: 14px;padding: 0px 8px;background-color: rgb(204 2 2);"><?php echo e(count($cancel_openfile_receipts)); ?></span>
                                    <?php endif; ?>
                                </span></a></li>
                            <li role="presentation" class=""><a href="#pending-refunded-openfile" aria-controls="profile"
                                role="tab" data-toggle="tab" aria-expanded="false"><span class="visible-xs"><i
                                        class="ti-user"></i></span> <span class="hidden-xs">Pending Refunded OpenFile
                                    <?php if(count($openfile_receipts) > 0): ?>
                                        <span class="label label-rounded pull-right"
                                            style="line-height: 1.8;    min-width: 0px;font-size: 14px;padding: 0px 8px;background-color: rgb(204 2 2);"><?php echo e(count($openfile_receipts)); ?></span>
                                    <?php endif; ?>
                                </span></a></li>

                        <li role="presentation" class=""><a href="#profile2" aria-controls="profile" role="tab"
                                data-toggle="tab" aria-expanded="false"><span class="visible-xs"><i
                                        class="ti-user"></i></span> <span class="hidden-xs">Vouchers</span></a></li>


                    </ul>
                    <!-- Tab panes -->
                    <div class="tab-content">

                        <div role="tabpanel" class="tab-pane fade active in" id="home">
                            <div class="table-responsive">

                                <a href="<?php echo e(route('control-account.addView', ['id' => \App\ControlAccount::DEALER])); ?>"
                                    target="_blank" class="btn btn-default pull-right" style="background-color: #0282CA; color: white;"> Add New </a>

                                <br>
                                <br>
                                <div class="clearfix"></div>
                                <table id="myTable8" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>#</th>

                                            <th>Name</th>
                                            <th>Description</th>
                                            <th>balance</th>


                                            <th style="width: 185px!important;">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $count = 1; ?>


                                        <?php $__currentLoopData = $list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $l): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($count++); ?></td>
                                                <td>
                                                    <?php echo e($l->name); ?>



                                                </td>

                                                <td><?php echo e($l->description); ?></td>
                                                <td>
                                                    <?php if($balance[$l->id] < 0): ?>
                                                        (<?php echo e(number_format(abs($balance[$l->id]))); ?>)
                                                    <?php elseif($balance[$l->id] > 0): ?>
                                                        <?php echo e(number_format($balance[$l->id])); ?>

                                                    <?php else: ?>
                                                        -
                                                    <?php endif; ?>
                                                </td>


                                                <td class="text-nowrap">

                                                    <a href="<?php echo e(route('control-account.detail', ['id' => $l->id])); ?>"
                                                        target="_blank" class="btn btn-default"> View </a>


                                                    <a href="<?php echo e(route('control-account.editView', ['id' => $l->id])); ?>"
                                                        target="_blank" class="btn btn-default"> Edit</a>



                                                </td>

                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>

                            </div>
                            <div class="clearfix"></div>
                        </div>


                        <div role="tabpanel" class="tab-pane fade" id="profile1">
                            <div class="table-responsive">
                                <table id="myTable" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Project</th>
                                            <th>Dealer Name</th>
                                            <th>Property</th>

                                            <th>Net amount</th>
                                            <th>Tax amount</th>
                                            <th>Payment Method</th>
                                            <th>Description</th>

                                            <th>Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $count = 1; ?>
                                        <?php $__currentLoopData = $allRebates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rebate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($count++); ?></td>
                                                <td><?php echo e($rebate->property->multiProject->name); ?></td>
                                                <td><?php echo e($rebate->dealer ? $rebate->dealer->name : ''); ?></td>
                                                <td>
                                                    <?php if($rebate->property): ?>
                                                        <?php if($rebate->property->inventory): ?>
                                                            <?php echo e($rebate->property->inventory->unit_number); ?>

                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                </td>

                                                <td><?php echo e(number_format($rebate->amount)); ?></td>
                                                <td><?php echo e(number_format($rebate->tax_amount)); ?></td>

                                                <td>
                                                    <?php if($rebate->payment_method): ?>
                                                        <?php if($rebate->payment_method == 1): ?>
                                                            CASH
                                                        <?php else: ?>
                                                            BANK TRANSFER
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                </td>
                                                <td><?php echo e($rebate->description); ?></td>
                                                <td><?php echo e(date('d-m-Y', strtotime($rebate->date))); ?></td>
                                                <td class="text-nowrap">
                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-voucher')): ?>
                                                        <a onclick="$('#voucher-pendingpayment-form<?php echo e($rebate->id); ?>').submit()"
                                                            href="#"><button class="btn btn-default btn-outline"
                                                                type="button"> <span><i class="fa fa-money "></i> Make
                                                                    Voucher</span> </button></a>
                                                    <?php endif; ?>



                                                    <form id="voucher-pendingpayment-form<?php echo e($rebate->id); ?>"
                                                        method="post" action="<?php echo e(route('create-voucher')); ?>">
                                                        <?php echo e(csrf_field()); ?>

                                                        <input type="hidden" name="type"
                                                            value="<?php echo e(\App\GeneralJournalEntry::rebate); ?>">
                                                        <input type="hidden" name="id"
                                                            value="<?php echo e($rebate->id); ?>">
                                                        <input type="hidden" name="control"
                                                            value="<?php echo e(\App\ControlAccount::DEALER); ?>">

                                                    </form>



                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>

                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <div role="tabpanel" class="tab-pane fade" id="pending-rebate-booking">
                            <div class="table-responsive">
                                <table id="PendingRebateBooking" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Project</th>
                                            <th>Package </th>
                                            <th>Dealer Code</th>
                                            <th>Dealer Name</th>

                                            <th>Rebate Amount</th>
                                            <th>Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $count = 1; ?>
                                        <?php $__currentLoopData = $pendingRebateBookings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rebate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($count++); ?></td>
                                                <td><?php echo e($rebate->dealerPackage->multiProject->name); ?></td>
                                                <td>
                                                    <?php if($rebate->dealerPackage): ?>
                                                        <?php echo e($rebate->dealerPackage->package->name); ?>

                                                    <?php endif; ?>
                                                </td>
                                                <td><?php echo e($rebate->dealer ? $rebate->dealer->code : ''); ?></td>
                                                <td><?php echo e($rebate->dealer ? $rebate->dealer->name : ''); ?></td>


                                                <td><?php echo e(number_format($rebate->amount)); ?></td>
                                                <td><?php echo e(date('d-m-Y', strtotime($rebate->created_at))); ?></td>
                                                <td class="text-nowrap">
                                                    <?php if($rebate->property): ?>
                                                        <a href="<?php echo e(route('statement.detail', ['id' => $rebate->property->id])); ?>"
                                                            data-toggle="tooltip" data-original-title="View"> <i
                                                                class="fa fa-eye text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                    <?php endif; ?>

                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-voucher')): ?>
                                                        <a onclick="$('#voucher-form<?php echo e($rebate->id); ?>').submit()"
                                                            href="#"><button class="btn btn-default btn-outline"
                                                                type="button"> <span><i class="fa fa-money "></i> Make
                                                                    JV</span> </button></a>
                                                    <?php endif; ?>



                                                    <form id="voucher-form<?php echo e($rebate->id); ?>" method="post"
                                                        action="<?php echo e(route('create-voucher')); ?>">
                                                        <?php echo e(csrf_field()); ?>

                                                        <input type="hidden" name="type"
                                                            value="<?php echo e(\App\GeneralJournalEntry::dealer_receipt); ?>">
                                                        <input type="hidden" name="id"
                                                            value="<?php echo e($rebate->id); ?>">
                                                        <input type="hidden" name="control"
                                                            value="<?php echo e(\App\ControlAccount::DEALER); ?>">

                                                    </form>



                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>

                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div role="tabpanel" class="tab-pane fade" id="pending-openfile-package">
                            <div class="table-responsive">
                                <table id="PendingRebateBooking" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>Project</th>
                                            <th>Receipt #</th>

                                            <th>Dealer Code</th>
                                            <th>Dealer Name</th>
                                            <th>Package Name</th>
                                            <th>Receipt Amount</th>
                                            <th>Receipt Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                        <?php $__currentLoopData = $pendingopenfilepackage; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $op): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($op->multiProject->name); ?></td>
                                                <td><?php echo e($op->receipt_no); ?></td>
                                                <td>
                                                    <?php echo e($op->dealerPackage->dealer->code); ?>

                                                </td>
                                                <td>
                                                    <?php echo e($op->dealerPackage->dealer->name); ?>

                                                </td>

                                                <td>
                                                    <?php echo e($op->dealerPackage->package->name); ?>

                                                </td>

                                                <td>
                                                    <?php echo e($op->amount); ?> pkr
                                                </td>
                                                <td>
                                                    <?php echo e($op->receipt_date); ?>

                                                </td>



                                                <td class="text-nowrap">

                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-voucher')): ?>
                                                        <a onclick="$('#voucher-form-openfile<?php echo e($op->id); ?>').submit()"
                                                            href="#"><button class="btn btn-default btn-outline"
                                                                type="button"> <span><i class="fa fa-money "></i> Make
                                                                    JV</span> </button></a>
                                                    <?php endif; ?>



                                                    <form id="voucher-form-openfile<?php echo e($op->id); ?>" method="post"
                                                        action="<?php echo e(route('create-voucher')); ?>">
                                                        <?php echo e(csrf_field()); ?>

                                                        <input type="hidden" name="type"
                                                            value="<?php echo e(\App\GeneralJournalEntry::dealer_open_file_package); ?>">
                                                        <input type="hidden" name="id"
                                                            value="<?php echo e($op->id); ?>">
                                                        <input type="hidden" name="control"
                                                            value="<?php echo e(\App\ControlAccount::DEALER); ?>">


                                                    </form>



                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>

                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <div role="tabpanel" class="tab-pane fade" id="pending-cancel-openfile">
                            <div class="table-responsive">
                                <table id="pending-cancel-openfiletable" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>Receipt No.</th>
                                            <th>Project</th>
                                            <th>Unit No. </th>
                                            <th>Payment Method</th>
        
                                            <th>Received Amount </th>
                                            <th>Date</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
        
        
        
                                        <?php $__currentLoopData = $cancel_openfile_receipts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c_open_filereceipt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($c_open_filereceipt->receipt_no); ?></td>
                                                <td><?php echo e($c_open_filereceipt->multiProject ? $c_open_filereceipt->multiProject->name : 'None'); ?></td>
        
                                                <td><?php echo e($c_open_filereceipt->openFileDealerInfo ? ($c_open_filereceipt->openFileDealerInfo->inventory ? $c_open_filereceipt->openFileDealerInfo->inventory->unit_number : '') : ''); ?>

                                                </td>
        
        
                                                <?php if($c_open_filereceipt->payment_method == \App\Receipt::cash): ?>
                                                    <td>Cash</td>
                                                <?php elseif($c_open_filereceipt->payment_method == \App\Receipt::bank): ?>
                                                    <td>Bank</td>
                                                <?php elseif($c_open_filereceipt->payment_method == \App\Receipt::adjustment): ?>
                                                    <td>Adjustment</td>
                                                <?php elseif($c_open_filereceipt->payment_method == \App\Receipt::cheque): ?>
                                                    <td>Cheque</td>
                                                <?php elseif($c_open_filereceipt->payment_method == \App\Receipt::merging): ?>
                                                    <td>Merging</td>
                                                <?php else: ?>
                                                    <td></td>
                                                <?php endif; ?>
        
        
        
        
        
                                                <?php if($c_open_filereceipt->tax_paid_by == \App\Receipt::company): ?>
                                                    <td><?php echo e(number_format($c_open_filereceipt->amount + $c_open_filereceipt->tax_amount)); ?> PKR</td>
                                                <?php else: ?>
                                                    <td><?php echo e(number_format($c_open_filereceipt->amount)); ?> PKR</td>
                                                <?php endif; ?>
                                                <td> <?php echo e(date('d-m-Y', strtotime($c_open_filereceipt->receipt_date))); ?></td>
                                              
                                               
                                        <?php if($c_open_filereceipt->is_approved == true): ?>
                                        <td>
                                            <span class="label label-success">
                                                Approved
                                            </span>
                                        </td>
                                    <?php else: ?>
                                        
                                            <td>
                                                <span class="label label-warning">
                                                    Pending
                                                </span>
                                            </td>
                                        <?php endif; ?>
                                        <td class="text-nowrap">

                                            <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-voucher')): ?>
                                                <a onclick="$('#voucher-cancel-openfile-form<?php echo e($c_open_filereceipt->id); ?>').submit()"
                                                    href="#"><button class="btn btn-default btn-outline"
                                                        type="button"> <span><i class="fa fa-money "></i> Make
                                                            JV</span> </button></a>
                                            <?php endif; ?>



                                            <form id="voucher-cancel-openfile-form<?php echo e($c_open_filereceipt->id); ?>"
                                                method="post" action="<?php echo e(route('create-voucher')); ?>">
                                                <?php echo e(csrf_field()); ?>

                                                <input type="hidden" name="type"
                                                    value="<?php echo e(\App\GeneralJournalEntry::dealer_cancel_open_unit); ?>">
                                                <input type="hidden" name="id"
                                                    value="<?php echo e($c_open_filereceipt->id); ?>">
                                                <input type="hidden" name="control"
                                                    value="<?php echo e(\App\ControlAccount::DEALER); ?>">

                                            </form>
                                        </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        
        
                                    </tbody>
                                </table>
        

                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <div role="tabpanel" class="tab-pane fade" id="pending-refunded-openfile">
                            <div class="table-responsive">
                                <table id="pending-refunded-openfile" class="table table-striped">
                                    <thead>
                                        <tr>

                                            <th>Receipt No.</th>
                                            <th>Project</th>
                                            <th>Unit No. </th>
                                            <th>Payment Method</th>

                                            <th>Received Amount </th>
                                            <th>Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $openfile_receipts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $open_filereceipt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($open_filereceipt->receipt_no); ?></td>
                                                <td><?php echo e($open_filereceipt->multiProject ? $open_filereceipt->multiProject->name : 'None'); ?>

                                                </td>

                                                <td><?php echo e($open_filereceipt->openFileDealerInfo ? ($open_filereceipt->openFileDealerInfo->inventory ? $open_filereceipt->openFileDealerInfo->inventory->unit_number : '') : ''); ?>

                                                </td>


                                                <?php if($open_filereceipt->payment_method == \App\Receipt::cash): ?>
                                                    <td>Cash</td>
                                                <?php elseif($open_filereceipt->payment_method == \App\Receipt::bank): ?>
                                                    <td>Bank</td>
                                                <?php elseif($open_filereceipt->payment_method == \App\Receipt::adjustment): ?>
                                                    <td>Adjustment</td>
                                                <?php elseif($open_filereceipt->payment_method == \App\Receipt::cheque): ?>
                                                    <td>Cheque</td>
                                                <?php elseif($open_filereceipt->payment_method == \App\Receipt::merging): ?>
                                                    <td>Merging</td>
                                                <?php else: ?>
                                                    <td></td>
                                                <?php endif; ?>





                                                <?php if($open_filereceipt->tax_paid_by == \App\Receipt::company): ?>
                                                    <td><?php echo e(number_format($open_filereceipt->amount + $open_filereceipt->tax_amount)); ?>

                                                        PKR</td>
                                                <?php else: ?>
                                                    <td><?php echo e(number_format($open_filereceipt->amount)); ?> PKR</td>
                                                <?php endif; ?>
                                                <td> <?php echo e(date('d-m-Y', strtotime($open_filereceipt->receipt_date))); ?></td>
                                                <td class="text-nowrap">

                                                    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-voucher')): ?>
                                                        <a onclick="$('#voucher-refundopenfile-form<?php echo e($open_filereceipt->id); ?>').submit()"
                                                            href="#"><button class="btn btn-default btn-outline"
                                                                type="button"> <span><i class="fa fa-money "></i> Make
                                                                    JV</span> </button></a>
                                                    <?php endif; ?>



                                                    <form id="voucher-refundopenfile-form<?php echo e($open_filereceipt->id); ?>"
                                                        method="post" action="<?php echo e(route('create-voucher')); ?>">
                                                        <?php echo e(csrf_field()); ?>

                                                        <input type="hidden" name="type"
                                                            value="<?php echo e(\App\GeneralJournalEntry::dealer_refunded_open_file); ?>">
                                                        <input type="hidden" name="id"
                                                            value="<?php echo e($open_filereceipt->id); ?>">
                                                        <input type="hidden" name="control"
                                                            value="<?php echo e(\App\ControlAccount::DEALER); ?>">

                                                    </form>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>





                                    </tbody>
                                </table>

                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div role="tabpanel" class="tab-pane fade" id="profile2">



                            <div class="table-responsive">

                                <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-voucher')): ?>
                                    <a onclick="$('#voucher-form').submit()" href="#"><button
                                            class="btn btn-default btn-outline pull-right" type="button"> <span><i
                                                    class="fa fa-money "></i> Make Voucher</span> </button></a>
                                <?php endif; ?>



                                <form id="voucher-form" method="post" action="<?php echo e(route('create-voucher')); ?>">
                                    <?php echo e(csrf_field()); ?>

                                    <input type="hidden" name="type" value="">
                                    <input type="hidden" name="id" value="">
                                    <input type="hidden" name="control" value="<?php echo e(\App\ControlAccount::DEALER); ?>">

                                </form>

                                <table id="myTable3" class="table table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Type</th>
                                            <th>Checked</th>
                                            <th>Posted</th>
                                            <th>Date</th>
                                            <th>Entry No.</th>
                                            <th>ADJ</th>
                                            <th>Account</th>
                                            <th>Memo</th>
                                            <!-- <th>Class</th> -->
                                            <th>Debit/Credit</th>
                                            <th>Action</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $allEntries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr ondblclick="showEntry('<?php echo e($entry->entry_no); ?>')">

                                                <?php if($entry->voucher_type == \App\GeneralJournalEntry::CRV): ?>
                                                    <td>CRV-<?php echo e($entry->voucher_no); ?></td>
                                                <?php elseif($entry->voucher_type == \App\GeneralJournalEntry::BRV): ?>
                                                    <td>BRV-<?php echo e($entry->voucher_no); ?></td>
                                                <?php elseif($entry->voucher_type == \App\GeneralJournalEntry::CPV): ?>
                                                    <td>CPV-<?php echo e($entry->voucher_no); ?></td>
                                                <?php elseif($entry->voucher_type == \App\GeneralJournalEntry::BPV): ?>
                                                    <td>BPV-<?php echo e($entry->voucher_no); ?></td>
                                                <?php elseif($entry->voucher_type == \App\GeneralJournalEntry::JV): ?>
                                                    <td>JV-<?php echo e($entry->voucher_no); ?></td>
                                                <?php else: ?>
                                                    <td></td>
                                                <?php endif; ?>

                                                <td>
                                                    <?php if($entry->is_check): ?>
                                                        <i class="fa fa-check" style="color:green"></i>
                                                    <?php else: ?>
                                                        <i class="fa fa-close" style="color: red;"></i>
                                                    <?php endif; ?>

                                                <td>
                                                    <?php if($entry->is_post): ?>
                                                        <i class="fa fa-check" style="color:green"></i>
                                                    <?php else: ?>
                                                        <i class="fa fa-close" style="color: red;"></i>
                                                    <?php endif; ?>
                                                </td>

                                                <td><?php echo e(date('d/m/Y', strtotime($entry->date))); ?></td>
                                                <td><?php echo e($entry->entry_no); ?></td>
                                                <td>
                                                    <?php if($entry->adjusting_entry): ?>
                                                        <i class="fa fa-check"></i>
                                                    <?php endif; ?>
                                                </td>
                                                <td><?php echo e($entry->account ? $entry->account->name : ''); ?></td>
                                                <td><?php echo e($entry->memo); ?></td>
                                                <!-- <td><?php echo e($entry->class ? $entry->class->name : ''); ?></td> -->
                                                <td><?php echo e(number_format($totalAmount[$entry->entry_no])); ?></td>
                                                <td>
                                                    <!-- <span onclick="showEntry('<?php echo e($entry->entry_no); ?>')" style="cursor: pointer;" class="btn btn-sm btn-primary"> Show</span> -->

                                                    <a href="<?php echo e(route('voucher-detail', ['id' => $entry->entry_no])); ?>"
                                                        class="btn btn-default">View</a>

                                                    <?php if(!$entry->is_approved): ?>
                                                        <br><br>
                                                        <span onclick="approveEntryModal('<?php echo e($entry->entry_no); ?>')"
                                                            style="cursor: pointer;" class="btn btn-default btn-sm">
                                                            Approve</span>
                                                    <?php endif; ?>

                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>

                            </div>
                            <div class="clearfix"></div>
                        </div>





                    </div>
                </div>


            </div>
        </div>

        <form id="voucher-form" method="post" action="<?php echo e(route('create-voucher')); ?>">
            <?php echo e(csrf_field()); ?>

            <input type="hidden" name="type" value="<?php echo e(\App\GeneralJournalEntry::massPayment); ?>">
            <input type="hidden" name="id" id="id" value="">

        </form>

        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <script>
        $(function() {
            $('#myTable').DataTable({
                'pageLength': 25,
                'paging': true,
                'searching': true,
                'info': true,
                'ordering': false
            });

            $('#myTable1').DataTable({
                'pageLength': 25,
                'paging': true,
                'searching': true,
                'info': true,
                'ordering': false
            });
            $('#myTable3').DataTable({
                'pageLength': 25,
                'paging': true,
                'searching': true,
                'info': true,
                'ordering': false
            });

            $('#myTable8').DataTable({
                'pageLength': 25,
                'paging': true,
                'searching': true,
                'info': true,
                'ordering': false
            });
            $('#PendingRebateBooking').DataTable({
                'pageLength': 25,
                'paging': true,
                'searching': true,
                'info': true,
                'ordering': false
            });
        });


        function checkSelectedCheckbox() {


            var check_ids = [];

            $.each($("input[name='check_list']:checked"), function() {
                check_ids.push($(this).val());
            });


            if (check_ids.length == 0) {
                document.getElementById('status').style.display = 'block';
                document.getElementById('status').style.color = 'red';
                document.getElementById('status').innerHTML = '<strong><h3>please select any bill!</h3></strong>';
                $('#status').delay(3000).fadeOut();
            } else {
                paymentVoucher(check_ids);
            }



        }

        function paymentVoucher(check_ids) {

            $('#id').val(check_ids);

            $('#voucher-form').submit();

        }
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/general-entry/dealer.blade.php ENDPATH**/ ?>